Introduction
Return to Introduction

About Impict

Impict is a screenshot enhancer

Impict is a specialized image editor for the screenshots and other images typically used in help files and program documentation. It provides a wealth of powerful functions and tools for enhancing these images and adding the elements you need to make them more informative.

Impict is integrated in the Help & Manual help and documentation authoring tool. It interacts directly with Help & Manual, enabling you to edit your screenshots directly from your H&M projects.

To open a graphic displayed in Help & Manual in Impict you just need to click on the graphic to select it, then click on the Impict icon shown on the left.

Together with the integrated screen capture utilities in Help & Manual and Impict or the external [image] T.N.T. screen capture program Impict can quickly produce terrific screenshots that will give your documentation a really professional touch.

Without Impict:

With Impict:

Making and editing the screenshot shown on the right with Impict took around ten minutes.

Impict is not a paint program

Impict is not a paint program like Adobe® PhotoShop, Jasc® PaintShop Pro or Ulead® PhotoImpact. Although it provides a set of filters for applying basic transformations to bitmaps it has no ordinary graphics editing functions. Instead, Impict provides tools for adding effects, shapes, text and vector objects to make your screenshots more informative and attractive.

Editing your images with paint programs

If you want to perform ordinary "painting" manipulations on your screenshots you can do this with your favorite paint program [image] even while you are working on the image with Impict. Since your screenshot bitmap is always stored on its own separate layer you can export it, edit it and re-import it without disturbing the effects you have applied. See Import and Export Business for details on interacting with other graphics programs.

Change and update your screenshots at any time

One of the most important features of Impict for online help authors is the fact that it allows you to add any number of effects without changing your original screenshot. If you use Impict right, you can keep your effects separate from your screenshot images, and then you can change and update the images at any time without losing all your work on the effects. See the Getting Started, Import and Export Business and Re-Editing Your Screenshots for details.


Using this Help File
Return to Introduction

This help system is designed both as an introduction to and course in using Impict and as an online reference that you can refer to when you are working with the program.

Learning Impict

To learn how to use Impict you should first read all the topics in the Getting Started section, which contains important information that will help you to reduce your workload and get the most out of Impict. Once you have got a feeling for the basics you can select any of the topics in the Step-by-Step Procedures section. If you are already familiar with Impict's tools you will be able to work through these sections quickly. If you are still learning the ropes help is always at hand [image] every tool and object used in the Procedures chapters has links to the reference information and instructions you need to learn how to use it.

Experiment!
The instructions in the Procedures sections are designed to teach you how to use Impict's tools and capabilities. They are no means exhaustive [image] once you are familiar with your tools and objects you will find many new ways to combine and use them for interesting, surprising and novel effects. Have fun!

Context-sensitive help

All the screens and dialogs in Impict have context-sensitive help that you can display by clicking on the Help button (when displayed), pressing F1 or right-clicking and selecting What's this? from the popup menu.

Reference

The Reference section is your basic resource for all the functions, tools and objects of Impict. It gives you detailed descriptions of all the program's features in an organized form and also provides direct access to all the texts displayed in the context-sensitive help with the exception of the popups, which are only highly-condensed versions of the texts in the main topics.


Getting Started
Return to Introduction

Save time by reading the topics in this section!

The topics in this section contain important basic information that will help you to get the most out of Impict. If you want you can use Impict without reading a single word here [image] it's an intuitive program that most users will figure out on their own quite quickly. However, if you take the time to read these chapters you will produce better results faster and save yourself a lot of unnecessary work.

Chapters in the Getting Started section:

· About Impict Images

· Keeping Your Files Small

· Image Formats in Help & Manual

· Import and Export Business
· Getting Organized

· How Impict Works

· Trying the Water

· Your First Screenshot


About Impict Images
Return to Introduction

Impict images are like a stack of sheets of cellophane [image] transparent layers containing visible objects, which can be bitmap images (usually your screenshots), shapes, texts, callouts, lines and so on. Since the area around the objects is completely transparent the result looks just like a single image.

On the right the structure of an Impict image is shown with the individual layers around the objects opaque to provide a better idea of how it works.

Each object you add to an Impict image, including your original screenshot, is stored on its own layer that is not affected by the other layers.

Even if you add a drop shadow to the screenshot it is actually separate from the screenshot itself and can be removed again with a single click. This means that you can edit all the objects separately at any time, and even replace your screenshot with a new or updated version, without losing all your work on the other Impict layers.

Reduce your workload by using Impict's .IPP format

These separate layers can only be stored in Impict's own .IPP format. If you save your images in any other format the layers will be "flattened" and combined into a single bitmap, making it impossible to edit the individual objects separately.

You should thus always save your edited screenshot graphics in .IPP format, even if you think you are sure that you will never want to edit them again. You never know, and you lose nothing by using .IPP instead of a format that you can't edit later. After saving your working file in .IPP you can always export copies in .SHG, .JPEG, .PNG, .TIF, .PCX or .TGA if you need these formats for other purposes.

Help & Manual reads .IPP images directly

Help & Manual can read .IPP images directly and it automatically converts them to the appropriate compressed formats when you compile your help project, so your help files don't get bigger when you use .IPP. See Getting Organized and Image Formats in H&M for more tips and information on this.

Another advantage is the fact that .IPP is the only format that supports all Help & Manual's extra features for images, like the ability to add macros, JavaScript and other scripts to hotspots.


Keeping Your Files Small
Return to Introduction

Tips for maximum image quality and minimum file size:

The main factor that increases the size of your help files is the use of big graphics with too many colors. Text hardly takes up any space at all and the image format itself also doesn't make much difference because all your images are converted to the optimum formats and compressed when you compile your project. Look in the Image Conversion settings in Help & Manual for the settings that control this.

How to keep your graphics and help files small:

1: Always use images with 256 colors or less for screenshots.

You will never need more than 256 colors for screenshots unless your program contains graphical components with complex color gradients. Both Help & Manual's integrated screen capture utility and the more powerful external [image] T.N.T. program do an excellent job of reducing the number of colors without reducing quality. So always use 256 colors or less in the screenshot images you insert in your help projects. If you don't use drop shadows (these don't look so good with less than 256 colors) you can usually get by with 16 colors, which saves even more space. The only exception here is the new XP interface with all its 3-D elements. Here too, however, you can often get away with 16 colors, so it's always worth a try.

Don't use JPEG if you want to reduce the number of colors:
As of version 3.3 Help & Manual allows you to insert JPEG and PNG images in your help projects directly for HTML and HTML Help projects. However, JPEG images are always TrueColor, so it's not possible to reduce the number of colors to 256 or less. Also, the compression used in JPEG images often makes screenshots look quite ugly. It's much better to use BMP with 256 colors or less and allow Help & Manual's Image Conversion feature to handle the compression at compile time.

If you do want to use JPEG or PNG you must do all the compression work yourself when creating the images. JPEG and PNG images are not converted or compressed again by Help & Manual at compile time, they are simply inserted into the project as they are.

2: Keep the dimensions of your graphics small.

Do you really need to include a full-size screenshot of the main program window? If the user is reading your help the program you are describing is already on the screen, and full-size screenshots also make the help difficult to navigate. A 75% or even 50% size version is normally plenty as a reference. You can shrink the screenshot and add attractive callouts and reference numbers with Impict. You can also use the Lens and Copy Area object tools to make full-size detail shots of important areas before shrinking the main image.

3: Don't use photographs unless you have to.

Nothing bloats your help files like lots of full color photos. If you do use them keep them small and if you are producing HTML Help or HTML make sure that your Image Conversion settings in Help & Manual are set to 'Convert 256 colors to GIF and True Color to JPEG'. While you are at it, experiment with the JPEG compression setting in the same place; your pictures may be smaller and look just as good with a lower quality setting [image] between 70 and 80 is generally fine for most purposes.

Photos also look good in .PNG but this format generally (though not always) takes up more space than JPEGs in HTML Help files. WinHelp (HLP) only understands bitmaps so the only way to keep file size down there is small graphics and fewer colors. Most photographs look just as good with 16-bit color (65,536 colors) as with 24 bits (16 million colors).

Don't reduce photos to 256 colors:
Programs like PhotoShop or PaintShop Pro can do an excellent job of reducing photos to 256 colors without much visible quality impairment. This is actually counterproductive for help files, however, because the photographs then get stored as GIFs at compile time. GIFs containing continuous tones don't compress well, and this makes them larger than JPEGs in your help file, even if the JPEGs contain many more colors.

4: Set H&M to generate .PNG if you are creating browser-based HTML.

Because of patent restrictions Help & Manual generates uncompressed GIFs at compile time. This is not a problem for WinHelp and HTML Help projects because these are then compressed automatically when you compile the help file. However, if you are producing browser-based HTML and want your project to be as compact as possible you should choose the .PNG format in Help & Manual's Image Conversion settings.

5: Save simple graphics as .BMP and graphics containing hotspots as .IPP

You will be able to minimize the number of colors in your graphics if you save simple screenshots in .BMP format in your project folder. Like JPEG, the .IPP format does not allow you to reduce the number of colors it contains so you should use it for your working files and for images containing hotspots (see Getting Organized for more details).

6: Don't show the entire image if you don't have to.

Areas of an image that are a single color take up very little space when the image is compressed. Use the Ripped Paper Edge effect and other tricks to remove unnecessary parts of your images [image] it also has the advantage of looking good.

See also:
· Image Formats in H&M
· Getting Organized


Image Formats in H&M
Return to Introduction

How Help & Manual handles the different image formats it supports:

As of version 3.30 Help & Manual provides direct support for JPEG and PNG graphics files as well as BMP and IPP. This means that you can now insert JPG and PNG files into your projects directly, instead of converting them to BMP or IPP first. When you use this new feature it is important to understand how it works and how the various image formats now supported by Help & Manual are handled.

JPG and PNG are only supported in HTML and HTML Help:
You can only use JPG and PNG files in browser-based HTML and HTML Help projects. If you include a JPEG image in a WinHelp project, for example, you will get an error message at compile time because the Microsoft compiler for WinHelp only understands simple bitmaps.

Conversion and compression settings only apply for .BMP, .IPP and .SHG:
When you use JPG and PNG files in your projects they are inserted into the output exactly as they are at compile time, without any conversion or additional (re)compression. The settings in your image conversion preferences in Help & Manual only apply for .BMP, IPP and SHG images. This means that you are responsible for the compression of your JPG and PNG files, they will not get smaller when your project is compiled.

In fact, using JPG and PNG directly is usually merely a convenience, it is unlikely that they will make your resulting help files smaller than they would be if you used BMP and IPP files, even though the latter are much larger on your hard disk. Why is this?

Bitmaps are only bigger at design time!

In addition to being help file formats, CHM (HTML Help) and HLP (WinHelp) are also compression formats. Their entire contents, including the bitmap graphics, are compressed when you compile your project. Once data is compressed you don't get any benefits from "recompressing" it [image] in fact, a second compression may actually result in a bigger file.

The WinHelp compiler only understands bitmaps so uncompressed BMP and IPP bitmap images are always the best source for HLP files, this results in the maximum compression.

The situation is a little more complicated for HTML Help, which can integrate compressed GIF, JPEG and PNG images. Here too, however, you lose nothing by compressing at compile time rather than in advance. In the case of the "lossy" JPEG compression format you actually gain because using uncompressed bitmaps means you can edit your images without losing quality (JPEG images are recompressed every time you save them, and you lose a little more quality every time).

Why is it still not possible to use GIFs directly?

It would certainly have been more convenient if we had been able to provide direct support for GIF as well as for JPG and PNG. However, providing this support is currently problematic because of the patent issues (see below). Help & Manual does support a simple workaround, however. You can paste any image into your project via the clipboard. Just select it in your graphics program and copy it to the clipboard, then switch to Impict or Help & Manual and press Ctrl+V or select Paste in the Edit menu. You can even copy images directly from your Internet browser [image] just select the image and use the browser's copy function, then switch to Impict or Help & Manual and paste.

You can also paste images directly to Impict; the image is then opened in a new editing window called Untitled.IPP.

When you paste to Help & Manual the image is inserted at the current cursor position and a BMP image file is created automatically in your standard images folder.

Patent issues

GIF images:

The LZW compression algorithm used in most GIF files is covered by a patent owned by Unisys, which charges high royalties for all hardware and software implementing or supporting the algorithm. Help & Manual generates GIF images at compile time but they are uncompressed, thus bypassing LZW. If the program could read GIF images it would have to use the LZW algorithm because 99% of GIF images use LZW compression [image] and this would make the program a lot more expensive.

Using uncompressed GIFs is not a disadvantage, however! These GIF images are just as small as compressed GIFs in compiled HTML Help files, and WinHelp files don't use GIFs anyway. Alternatively you can use a graphics program to batch compress the GIFs in your HTML output directory before uploading them.

Uncompressed GIFs are larger in browser-based HTML for web use, of course, but if you take a look at the information on this issue at the [image] Burn All .GIFs website you may decide that it's currently a lot safer to use PNGs instead of GIFs for your web applications anyway.

JPEG images:

Recently a small company in the USA has been claiming it owns the patent to the JPEG compression algorithm. Help & Manual creates compressed JPEG images at compile time (see image conversion preferences). This feature was implemented before the discussion about the JPEG patent began and it is not yet clear whether this patent claim has a solid foundation. It has been challenged by the JPEG Committee, and you can read the latest news about the case at the [image] JPEG Committee website. If the issue gets serious and it looks like royalties similar to those on LZW compression in GIFs are going to be charged we may have to remove the compression in JPEG as well.

This too would not be much of an issue for help files, however. JPEG compression is lossy and while it's great for photographs it is awful for the graphics of ordinary screenshots, producing horrible compression artefacts (defects and errors in the images). To keep your help files small you should never use more than 256 colors in screenshots anyway (see Keeping Your Files Small in the Introduction for details on this), so this would only affect you if you use a lot of color photographs.

The bottom line is, royalties for JPEG compression might have a big impact on online porn but it wouldn't really be very relevant for online help.

PNG images:

So far nobody has claimed to have a patent on PNG, which is a relatively new lossless compression format. PNG is now fully supported by all leading browsers. In addition to this it also supports true color images, in contrast to GIF that only supports 256 indexed colors. This makes PNG ideal for all HTML based help formats.

PNG is currently just on the verge of becoming really popular. At the moment, however, you probably don't have all that many images in the PNG format. We are watching developments and may add native PNG support to Help & Manual if it seems relevant.


Import and Export Business
Return to Introduction

Impict provides comprehensive import and export support to allow you to use images created by other programs and to export your Impict images and edit them in other programs. Most important of all, you can export the screenshots contained in your Impict images, edit them in other programs and then import them again without losing all your work on the other layers in your image.

Opening other graphics formats in Impict

This is easy:

· Select Open in the File menu, or
· Press Ctrl+O to open a graphics file in any of the supported formats.

After loading remember to select Save As... in the File menu and save your working file in Impict's own .IPP format, otherwise you will lose your separate layers when you exit the file. This will also protect the original file, which you can then return to if you ever change your mind.

Exporting complete Impict images to other formats

This is just as easy as opening an image:

· Just select Save As... in the File menu and choose the format you want to use in the Save as type: field.

This will save your entire image, just as it looks on the screen. Anything invisible will be discarded and all layers will be "flattened" to produce a single bitmap (unless you are saving in Impict's own .IPP format). If you want to exclude objects you can do so by deselecting their eye icons in the Object List. If you plan to do any editing on the image later on you should always remember to save a copy in .IPP format to preserve all the separate objects.

Copying objects and bitmaps to other Impict images

You can reuse any object in an Impict image in any other Impict image.

1: Just select the object by clicking on it or selecting its entry in the Object List.
2: Press Ctrl+C (or select Copy in the Edit menu or right-click and select Copy in the popup menu).
3: Then just open and select the Impict image you want to copy the object to and press Ctrl+V (or select Paste in the Edit menu or right-click anywhere in the image and select Paste in the popup menu).

The object will be copied to the other Impict image with all its properties intact.

Exporting objects and bitmaps to other graphics programs

You can copy and export any object or bitmap directly from Impict to another graphics program for editing. When you copy objects other than bitmaps the only restriction is that they are automatically converted to bitmaps when you paste them to the other program. (Impict automatically pastes objects to Impict images and bitmaps to other programs.) This means that they will also be bitmaps and not editable objects when you re-import them from the other program, so this option is normally only really useful for bitmaps.

See Re-Editing Your Screenshots for more details on these procedures.

Copying to Microsoft Word and other Office programs:
You can also use this method to copy bitmaps, objects and graphics from Impict to Microsoft Word and other Microsoft Office programs. Instead of selecting Paste in Word you should select the Paste Special... option, which will allow you to select the bitmap image from the list of items stored in the Clipboard.

Importing bitmap images from other graphics programs

You can also import bitmaps from other graphics programs directly into your Impict images [image] for example to replace an old screenshot with an updated version. The bitmaps are inserted as objects on their own layers, which means that you don't lose any of your work on the other layers.

1: Just select the bitmap in your graphics program and copy it to the Windows clipboard (see the graphics program documentation for details).
2: Then switch to Impict and insert the bitmap with Ctrl+V (or select Paste in the Edit menu).

Important:
Make sure that no objects are selected before pasting, otherwise the selected object will be overwritten (a warning will be displayed before this is done, however). If you want to overwrite an existing object (like an old screenshot) just leave it selected when you paste.

See Re-Editing Your Screenshots for more details on these procedures.


Getting Organized
Return to Introduction

It's a good idea to do a little planning before you start using Impict to work on the screenshots and graphics in a Help & Manual documentation project. By getting organized you can achieve the following valuable objectives:

· Have "clean" original graphics that you can return to if necessary.
This saves you having to rebuild your screenshots if anything goes wrong. Apart from being a waste of time, re-creating original screenshots is sometimes not even possible, for example if you no longer have the program from which they were taken.

· Store all your working files in Impict's own .IPP format.
Then you can always edit all objects and layers individually if you ever have to. Few things are more annoying than having to repeat all your work again, particularly if it's really not necessary. It's much better to save a few more copies of your files than you need [image] hard disk space is much cheaper and more plentiful than your time!

· Make sure your H&M project folder only contains images used in your project.
This keeps your project tidy and enables you to copy, share and archive your project with only the files that you really need.

· Find all your images quickly when you need them.
This too saves a great deal of valuable time and avoids unnecessary hair-tearing when you're in a hurry.

The bottom line is, every minute you invest in organization before you begin you will recoup many times over when you are working.

Organize your image folders

The screenshot on the left shows the folder structure we used for working on the documentation for Impict in Help & Manual.

· The Help & Manual project itself and other files used in the project are stored in the Impict\help folder.

· The .IPP and .BMP images (see Image Formats in H&M) that are actually used in the project are stored in Impict\help\images.

· The original screenshots and working .IPP files are stored in Impict\source images. This folder could just as well have been placed inside the \help folder [image] we chose not to do this because we wanted to be able to archive or send the project in a package containing only the files that are really used, and this is easier if \source files is outside the \help folder. You might want to put your \source files folder inside your \help folder because this makes switching between the two a little quicker [image] that's up to you. But it will make your life a lot easier if you have separate folders for your source files and the files that are actually used in your project.

Organize your screenshot files

Don't apply effects to your original screenshots

When you make a screenshot that you plan to work on with Impict it's a good idea to make a simple shot without any effects at all. This gives you a clean source image that you can always return to if necessary. The easiest way to do this is to use the simple screen capture utility integrated in Impict. In particular, don't apply any shadows to screenshots you plan to work on [image] adding a shadow in Impict just takes a single click, and you can also remove it with a single click. If you save your original screenshot with a shadow it's part of the image, and this reduces your flexibility later.

Save your original screenshot in a lossless format

After making a clean screenshot, save it in a lossless format like TIF or BMP in your \source images folder (see above). Don't use JPEG [image] this is a lossy format that get's recompressed every time you save it, which means you lose data and quality on every save. Most screenshots also look terrible in JPEG format. Save this copy with the maximum number of colors for the quality you want to achieve. Choose more colors rather than less to be on the safe side. You can always reduce the color number later, but if you haven't saved enough colors there's no way to recover the lost color data and you'll have to remake the screenshot.

Save a working copy in .IPP format

Your BMP or TIF copy is your backup. After saving it, open it in Impict, select Save As... in the File menu and save it as an Impict .IPP file, also in your \source files folder. This is the file you should work on in Impict, because this format allows you to save all your effects and objects on separate layers that you can delete, edit and add to later.

Export your finished images to your project folder

When you have finished working on an image in Impict, select Save As... in the File menu and export a copy to your /images folder in your project folder. This will be the copy that you actually insert into your Help & Manual project. Which format you use depends on the function of the image (see below).

Deciding which format to use in your Help & Manual projects

Help & Manual can read three graphics formats: .BMP, Impict's own .IPP format and the WinHelp "hotspot" format .SHG (see Image Formats in H&M for more details). Theoretically you could just use .IPP for all your images, but this might make your compiled help files slightly larger than necessary, because .IPP always uses the maximum available number of colors. If you want to minimize color number it's best to use .BMP where possible, because this gives you full control over the number of colors in each image.

See Keeping Your Files Small for details on minimizing graphics file size.

Use .BMP for screenshots without hotspots:
Output all your simple graphics to your project folder in .BMP format with the minimum necessary number of colors. If you don't use shadows you can often get by with just 16 colors for screenshots, and you should never need more than 256 for anything except High Color photos.

Use .IPP for screenshots with hotspots:
Impict's .IPP format is the only format that supports all of Impict's extended hotspot functions, including WinHelp macros and JavaScript, so you should always use this for images containing hotspots.

Don't use the .SHG format:
The .SHG format will work for simple graphics with simple hotspots for WinHelp projects and HTML Help, but it has two important restrictions in Help & Manual: It doesn't support Help & Manual's extended hotspot functions and hotspots in .SHG files don't work in dual-mode HTML Help files with hotspots stored in a .HLP file (see Adding Hotspots for details). Because of these restrictions it's best to avoid .SHG unless you already have a lot of .SHG graphics containing hotspots that you want to reuse. To convert an .SHG to .IPP you just need to load it in Impict and then re-save it with Save As.. in the File menu.

See also:
· Keeping Your Files Small
· Image Formats in H&M


How Impict Works
Return to Introduction

Impict is a tool for enhancing screenshots and other graphics files used in help and documentation projects. This means that you will generally start by opening a graphics file. Let's do this now.

Start Impict and open a graphics file

Start Impict and select the Open icon in the toolbar. You can also press Ctrl+O or select Open in the File menu.

Open any graphics file. This can be a screenshot, but it doesn't have to be. You can also work on photographs or other graphics. The file you open will be displayed in its own window inside the Editing Window. Your screen will then look something like this:

The Impict Workspace:

· The Objects toolbar on the left is where you select the objects you want to add to your images. Just click on a tool in the Objects toolbar, then click or drag a frame in the editing window to insert your object.

· The Impict tools on the right are the main effects you can apply to your objects. When an object is selected the effects you can apply to it are active.

Click on the objects and tools to view their entries in the Reference section.
· More effects are available in the Object menu, and in the popup menu displayed by right-clicking or double-clicking on an object in the editing window.

· The function toolbars at the top provide basic editing functions, which are also available in the File and Edit menus.

· See the Objects and Images chapter in the Reference section for full descriptions of all the objects you can use in Impict.

Navigating with the Object List tool

When you start working on images that contain more than a couple of objects you will need the Object List tool. This shows all the objects in the "image stack" (see About Impict Images) and provides useful selection and navigation functions.

· Click once on an object in the list to select it in the editing window. This is useful if an object is covered by another object so that you can't select it directly with the mouse.

· Click on the eye icons to show or hide objects [image] you can use this to make objects that are covered by other objects visible.

· Drag objects up and down the list to move them forwards and back in the image stack. Use this to change how objects "overlap" one another.

Changing Impict's layout and appearance

You can change the default layout to suit your needs. All the tools and toolbars can be dragged to any position inside or outside the Impict program window.

· To return to the original layout just select Reset Defaults in the View menu [image] this is also where you can hide or show individual tools and toolbars.

You can work on multiple graphics files at the same time and rearrange their windows within the main Impict window. The standard Windows Cascade and Tile commands are available in the Window menu for arranging several image windows quickly.

Another way to work with Impict...


Trying the Water
Return to Introduction

If you have read How Impict Works you actually already have all the information you need to get started. To recapitulate:

· You start a new project by opening a graphics file or creating a new screenshot with Impict's integrated screen capture utility (or with Help & Manual's screen capture utility or [image] T.N.T.).

· You add objects by selecting Object tools and clicking or dragging in the Editing Window.

· You modify your objects and screenshots with the Impict tools. Select an object or your original graphic, then apply an effect with one of the tools on the right. You can also modify objects with effects from the Object menu and by right-clicking and selecting Edit Properties from the popup menu.

Try this now:

· Open a graphic or make a screenshot with the screen capture utility and play around with Impict's tools, effects and objects.

· Select Save As.. in the File menu and save a copy of your graphic in Impict's own .IPP format. This will store all the objects you add in separate layers.

· Right-click on your graphic image and select Edit Properties in the popup menu. See what you can do with the effects and options displayed.

· Don't be afraid to experiment [image] nothing will explode and you can't do anything "wrong". You might want to make a backup of your graphics image first though (see the Save As.. instructions above).

· Add some objects. Click on a tool in the Object toolbar, then click or drag anywhere in your image. Don't worry about making your objects pretty for the moment, just play with them. Experiment with the settings in the dialogs displayed when you add objects. In most cases you can also display these dialogs by double-clicking on an object, selecting Edit Properties in the Object menu or pressing Ctrl+E.

· Select objects by clicking on them.

· Move objects around by dragging them with the mouse or pressing the cursor keys.

· Try using the Objects List tool. Make objects visible and invisible by clicking on the eye icons. Drag objects up and down the list and see what happens in the image. Double-click on objects to give them more useful names.

· Modify your objects. Click once on a graphic image or object to select it, then see what you can do to it with the tools on the right. (See How Impict Works if you're not sure what we're talking about here.)

· See what you can do to your objects with the Anti-Aliasing and Flatten Objects options in the Object menu.

· Press Ctrl+Z to undo anything you don't like. Press Ctrl+Z several times to undo a complex sequence of actions [image] if something disappears don't despair, just press Ctrl+Z again to complete the undo sequence.


Your First Screenshot
Return to Introduction

Let's round off the introduction with something a little more specific. In this topic we'll walk you through the procedure of making a simple screenshot of a program window component, saving it with a working file and a backup file, and exporting it to your Help & Manual project.

1: Making the screenshot

If you've already got a screenshot you can skip this step. Then, instead of making a screenshot, just select Open.. in the File menu or click on the Open icon in the File Toolbar. Then move directly to Step 2 below.

Click on the camera icon in the Edit Toolbar to start Impict's integrated screen capture program. This program is quick and simple and is fine for most purposes, particularly if you're planning to add your effects in Impict. See Getting Organized for more information.

Don't worry about the details of the capture program for the moment. In the dialog box displayed select:

· A Window, control or menu, and

· Insert screenshot as new image

Then just click on Start Capture and move the mouse on your screen until the red frame marks the object you want to capture, then hold down the Ctrl key and click to capture.

The captured bitmap will be opened in Impict in a new editing window. We took a quick shot of the table of contents for the Impict online help in Help & Manual.

2: Saving your work:

a) Save your backup file:

The first thing you want is a backup of your original screenshot that you can always return to if something goes wrong.

Click on the Save icon in the File Toolbar or select Save in the File menu. First save your file in BMP format with at least 256 colors [image] or in High Color or True Color format (65 thousand or 16 million colors) to be on the safe side. You can reduce the colors later to save space but you want to make sure you've got all the color information you need in your backup BMP file.

b) Save your working file:

Next you want to save the file you are going to work on in Impict. Select Save As.. in the File menu and save the same file again in Impict's own .IPP format. This is the file you'll use to work on, because it stores all the objects and effects you add in their own layers that you can edit separately later.

c) Export your screenshot to your Help & Manual project:

This is the step you normally perform after working on an image in Impict. Select Save As.. in the File menu again and save the file in your Help & Manual project directory. Choose the .BMP format and experiment with the minimum number of colors you can get away with. Start with 16 colors, check how the image looks in your Help & Manual project and increase the number of colors if necessary.

See also:
· Getting Organized
· About Impict Images
· Keeping Your Files Small
· Image Formats in H&M
· Import and Export Business

3: Enhancing your screenshot with Impict

Up to this point you haven't really done very much, of course. You've just made a simple screenshot and saved it in three different places. The next step is to use the tools provided by Impict to turn this simple screenshot into an attractive, informative and professional image that will give your documentation a sharp leading edge.

So now take your .IPP working file and set to work on it with the instructions you can find in the Step-by-Step Procedures section. Don't try to work though all these projects systematically [image] just use the ones you need as and when you need them. All the information you need is provided either directly or in links in every topic. Have fun!


Useful Editing Controls
Return to Introduction

Impict has many useful keyboard shortcuts and editing controls. You don't need all of them all the time but there are a couple that you should really know about because they will make your work a lot easier:

Moving objects with the cursor keys

You can move objects very precisely with the cursor keys. Just click on the object to select it (or click on its entry in the Object List), then press the cursor keys to move it.

Resizing objects with the cursor keys

Equally, you can also resize objects much more precisely than with the mouse by holding down the SHIFT key and pressing the cursor keys.

Moving objects forward and back in the image stack

You can quickly move the currently selected object forward (up) and back (down) in the image stack by pressing Ctrl+F and Ctrl+B.

Locking objects to protect your layout

After working on your layout for a while you may want to protect finished objects and groups of objects against accidental moving or alteration. To do this just select the object or objects (see Selecting Multiple Objects) and then select Locked in the Object menu.

See also:
· Keyboard Shortcuts
· Mouse Functions


Step-by-Step Procedures
Return to Introduction

Use these sections to learn Impict

The topics in this section are where you can really get to grips with using Impict. There is no need to work through them in any particular order; each project is designed to be self-contained, so you can choose the one that describes what you need to do now.

All the information you need is available

If you are already familiar with Impict's tools you will be able to work through each project quickly. But they also contain comprehensive links to the Reference topics that provide full background information on using all the Impict tools, objects and facilities you need in order to produce the results described. So even if this is the first time you're using Impict the Procedures projects will be just as useful for you, they will just take a little longer to complete.

Take these projects as a starting-point

Don't take the procedures described here as carved in stone. Feel free to experiment. Impict is package of highly-flexible tools, not a set of rules. You are sure to find new and creative ways of using the tools to achieve new effects.


Adding Bitmaps
Return to Introduction

In addition to enhancing your original screenshots by adding Impict objects [image] shapes, texts, buttons, arrows and so on [image] you can also add additional bitmap images. Every bitmap you add is automatically placed on its own layer, so that you can modify it, manipulate it and add to it just like any other Impict object.

You will usually want to add bitmaps to make more complex layouts, showing different items or parts of what you are talking about in relation to one another. You can also add bitmaps to create effects, like the example shown in the Enhancing Bitmaps with Effects topic, where we placed two bitmaps on top of one another and made half of the top bitmap transparent with the Custom setting in the Shape Tool.

Applying effects to bitmaps:

You can change the shape of bitmaps and add borders with the Shape Tool, apply transparency with the Transparency Tool and add drop shadows with the Shadow Tool. Impict also includes a powerful suite of bitmap effects and quality mathematical resizing filters for manipulating your bitmap images.

There are two ways to add bitmaps to your image:

· Use the Image Object tool to insert a bitmap graphic from a file.

· Copy the bitmap directly into Impict from another program via the Windows clipboard.

Inserting a bitmap image from a file

Select the Image Object tool in the Object Toolbar.

· Click once in your Impict image. Don't drag a frame [image] if you do the bitmap will be resized to the size of the frame. If this happens just select Autosize in the Size Tool to correct it.

· Select the image file you want to insert and click on Open to insert it in your Impict image.

Try using the cursor keys and SHIFT + cursor keys to move and resize your image objects precisely.

Inserting a bitmap image with the clipboard

· Copy the image to the clipboard in your graphics program.

· Switch to Impict, and select the window containing your image. Make sure that no objects are selected in the image [image] if an object is selected Impict assumes you want to overwrite it with the new image (a warning will be displayed if you do this). Click outside the canvas area to deselect all objects.

· Press Ctrl+V or select Paste in the Edit menu to insert the bitmap.

To replace a bitmap in your image with a new bitmap just click on it to select it before inserting. Impict will then overwrite it after you confirm the warning message. After overwriting an image like this you must select Autosize in the Size Tool to show the new image in its original size.

Don't forget to use the cursor keys and SHIFT + cursor keys to move and resize your image objects precisely.

See also:
· Image Objects


Adding Texts
Return to Introduction

A few words of text added to an image in the right place and context will help your users to understand at a glance what you are talking about. Impict provides three different ways to add texts:

· Simple Text Objects.

· Callouts (like cartoon speech bubbles).

· Constructed text objects (simple Text Objects combined with Shape Objects).

You can also enhance the information effect of text objects by adding lines and arrows. For example, you can use an arrow as a "pointer" for text objects that would be to large for callouts, as shown in the example.

Adding a simple text object

Click on the Text Object tool in the Objects Toolbar, then click or drag a frame in the image editing window.

This will open the text object properties dialog, with which you can enter and edit the text and change the font, font size and style, alignment and so.

If you just want to add simple identifying texts quickly you can make them stand out from the background by adding a drop shadow, as shown in the example above.

Try using the cursor keys and SHIFT + cursor keys to move and resize the frame around your text objects precisely. The text is always aligned to the bounding frame around the text, not to the image [image] you can think of the frame as the "page" on which the text is written.

Adding a callout object

A callout is basically a combination of a text object and a shape object with an added pointer, creating a cartoon text bubble effect. These can be very useful for identifying parts of your images (particularly in "shrunk screenshots" like the example above) and providing quick context information. See Adding Callouts for more detailed instructions.

Click on the Callout Object tool in the Objects Toolbar, then click or drag a frame in the image editing window.

This will open the callout object properties dialog. In addition to text entry and editing features like those for text objects this dialog also includes controls for defining the size and color of the callout graphic and the direction and size of the pointer.

If you set the pointer length to zero you can use callouts to quickly create an effect similar to constructed text objects (see below). You won't have quite as much control over the formatting and placement of the text, however.

Creating a constructed text object

These are a little more work than simple text objects and callouts but they also give you more flexibility. You have full control over the placement and alignment of the text and you can also apply anti-aliasing (Object menu) to the shape object without changing the appearance of the text.

The shape for the background:

Click on one of the Shape Object tools in the Objects Toolbar, then click or drag a frame in the image editing window.

The text:

Click on the Text Object tool in the Objects Toolbar, then click or drag a frame in the image editing window. Follow the instructions for simple text objects (see above).

· Then just position the text object over the shape object. Play around with the sizes and shapes of the two objects until you get the effect you want.

· You can apply anti-aliasing (Object menu) to the shape object for a smoother effect. Drop shadows always look good and help to separate the shape object from the background.

· You might also want to apply a little transparency to the background screenshot to make the constructed text object stand out better.


Adding Callouts
Return to Introduction

Callouts look like cartoon text bubbles. In addition to allowing people in your images to say things they are extremely useful for identifying and providing instructions for specific areas of your screenshots.

You can use the pointer to precisely identify what you are talking about, and making a callout is much quicker than combining a Shape Object, a Text Object and an Arrow. You can also use callouts without pointers to make quick, simple text objects and labels.

Procedure:

Select the Callout Object tool in the Objects Toolbar, then click or drag a frame in your image. Don't worry about getting the position and size right [image] you'll move and resize the callout after defining it and entering the text.

· This displays the callout object properties dialog (click for detailed instructions), where you can choose the shape and style of the callout, its pointer and the text font and enter and edit the text to be displayed.

· Drag the size handles around the callout to resize it. Click and drag in the middle of the callout to move it.

Use the cursor keys and SHIFT + cursor keys to move and resize your callouts quickly and precisely. You can also enter values directly in the Size Tool.

These are just a few examples of what's possible. Experiment!

Effects

You use both the Shadow Tool and the Transparency Tool on callouts. You can also apply anti-aliasing (Object menu); however, this is applied both to the callout outline and to the text it contains. If you don't like this you have to make a constructed text object by combining a text object with a shape object.

Trick for callouts with anti-aliasing:
Create a callout object without text, apply anti-aliasing to the callout, then position a text object on top of it.

Special case: callouts with black fill

For technical reasons the program does not actually allow the use of "real" black for fill (R=0, G=0, B=0). When you select black Impict will automatically create a custom color in the pallette with Red=0, Green=0 and Blue=1. This works, and it is so close to black that nobody can tell the difference..


Adding Shapes
Return to Introduction

Shape Objects are one of the most basic tools in Impict, and they are very flexible. In addition to circles and ellipses you can also make squares and rectangles with rounded or sharp corners. They can be filled or clear (transparent) and they can have outlines of any thickness and color or no outline at all. You can place texts over them and apply drop shadows, even to shapes that consist just of outlines, like the red ellipse in the example.

By the way [image] the background used for these examples is also a shape: a rounded rectangle filled with light grey and with a 1-pixel black outline and a drop shadow.

Adding and editing shape objects

Make a shape object:

· Select one of the shape object tools in the Objects Toolbar and drag a rectangle in the editing window.

· It doesn't really matter which shape object tool you choose, you can always change its shape later with the Shape Tool.

Change the outline and fill:

By default shape objects are white, opaque and have a 1-pixel black outline.

· Try choosing different colors in the Fill Tool. Try changing the outline with the Color and Width values in the Shape Tool. A width of 0 makes a shape with no outline.

Change the shape and add drop shadows:

· Select the object, then select a different shape in the Shape Tool.

· Select the object, then add a drop shadow with the Shadow Tool.

Resize the shape object:

· To resize a shape object just click on it and drag its resize handles. Dragging the corner handles keeps the original shape, dragging the side handles resizes in one direction only.

· You can resize more accurately by holding down SHIFT and pressing the cursor keys, and by entering new Width and Height values in the Size Tool.

Other tools and effects for shape objects

· Try selecting anti-aliasing in the Object menu to smooth the outlines of curved shape objects.

· You can draw attention to parts of your screenshots by drawing a circle or ellipse around the area with a shape object using clear fill. This looks particularly good if you also apply a drop shadow to the shape.

· You can apply transparency effects with the Transparency Tool.

You can use this to achieve some amusing effects [image] the cat eyes on the left were made by applying circular transparency to the green/red ellipse object from the example above. The pupils are resized black ellipses with circular transparency.

· You can also use semitransparent white shape objects to mask off bitmaps and make other objects stand out against them (see Semi-transparent Backgrounds).


Adding Lines and Arrows
Return to Introduction

Impict's Line Object tool in the Objects Toolbar makes it easy to add simple lines and arrows to your images. You can use them in combination with texts to identify details that you are referring to, or you can use them as connecting lines or graphic elements as shown in the Expanded Detail Shots topic.

Adding lines and arrows is very easy. The only thing that takes a little getting used to is how you position and size them on the screen, because this can seem a little counter-intuitive at first.

How to add lines and arrows

Click on the Line Object tool in the Objects Toolbar, then drag a frame in the image editing window.

This will open the line object properties dialog, with which you can define the basic appearance and orientation of the line or arrow. See the line object properties dialog for details on defining the line or arrow properties.

Adjusting line/arrow position, orientation and size:

Don't try to define the exact position, orientation and size of the line or arrow in the dialog [image] this won't work! After defining whether the arrow is vertical, horizontal or diagonal all the fine-tuning is done by adjusting the size of the bounding frame around the object by dragging the resize handles, or with the cursor keys.

Dragging the resize handles changes the length and the angle of the line or arrow. This is much easier to do than to describe. Try dragging on all the eight resize handles of your line/arrow object and you will soon get it.

Using the cursor keys:

Line objects are difficult to drag with the mouse because their frames consist mainly of empty space. The easiest way to move line objects is to use the cursor keys. You must select them with the mouse to activate them for moving [image] click on the line itself to do this.

You can also resize line objects by holding down SHIFT and pressing the cursor keys. Again, the easiest way to learn how to do this is to try it out.


Adding Cursors and Dazzles
Return to Introduction

Cursor Objects make it possible to add mouse cursor pointers and other small bitmaps to your screenshots after creating the screenshot. This can be very useful [image] often you're not sure where the cursor should be when you make the screenshot, and you may also want to create several identical screenshots with different kinds of cursors or cursors in different positions. If you have access to the cursor files you want to use it is also much easier to add them as objects than to try to "get" them in screenshots.

Dazzle Objects are used to add attractive starburst and highlight effects. The commonest use for dazzles is to focus the user's attention on a mouse action by placing the dazzle at the tip of the mouse pointer.

Adding cursor objects

Click on the Cursor Object tool in the Objects Toolbar, then click in the image editing window.

· Then just select the cursor object file in the file open dialog displayed. You can insert cursor (.CUR), animated cursor (.ANI) and icon (.ICO) files. No animation will be shown when you select an animated cursor [image] the image displayed is always the first image in the animation sequence.

Cursor objects cannot be resized and they have no properties dialog. They are always displayed "as is". You can add drop shadows to emulate the original mouse pointer shadow, however.

Adding dazzle objects

Click on the Dazzle Object tool in the Objects Toolbar, then click in the image editing window. This will open the dazzle object properties dialog (click here for details).

Positioning your dazzle object:

· Like line objects, dazzle objects can be a little difficult to drag with the mouse. After selecting them it's easier to move them with the cursor keys.

· Use the buttons in the Arrange Toolbar or Ctrl+B and Ctrl+F to move the dazzle object up and down in the image stack [image] for example to position it beneath the tip of a cursor object.

Dazzle objects cannot be resized and you cannot add drop shadows to them.


Adding Lens Objects
Return to Introduction

Lens objects' basic purpose in life is to show an enlarged detail of part of your image. A lens object is like a magnifying glass or camera viewer [image] it shows a 1:1 or enlarged image of everything beneath it. Because of this behavior you will normally want to flatten your lens objects after making them, otherwise their contents will reflect every movement and new object in their target area while you are working on your layout, and this can be annoying.

However, lens objects are also much more flexible than they look at first glance. See Quality Resize with Lens Objects, Copying Image Areas and Cropping Images with Lens Objects for some ideas on the many different uses for lens objects.

1: Inserting and sizing a lens object

Click on the Lens Object tool in the Objects Toolbar and click or drag a frame in your image. Don't worry about getting the position and size just right now [image] you can adjust them much more easily later.

· This opens the lens object properties dialog (click for details). The only thing you want to set at the moment is the magnification (Single, Double, Triple and so on). Leave Absolute Origin unchecked for the moment and don't worry about the X-Origin and Y-Origin values either.

When you click on OK the lens object is added to your image. You can now resize and move it with the mouse or the cursor keys:

· Drag in the middle of the object to move, drag on the resize handles to resize with the mouse.

· For more accurate moving and resizing press the cursor keys to move, press SHIFT + cursor keys to resize.

· You can also move and resize by entering values manually in the Size Tool.

We have lightened the background in the examples to make the lens stand out. Normally the lens and the background will look the same.

2: Changing the origin

Normally the lens shows an image of what is directly beneath it. You can change this with the Origin settings in the lens object properties dialog:

· Changing the X-Origin and Y-Origin values offsets the lens contents by the number of pixels you enter. You can enter both positive and negative values to offset the contents in different directions. This offset is always relative to the lens object [image] when you move the lens its contents change, but they are always offset by the entered pixel values.

· Selecting Origin is absolute will lock the current contents of the lens object at the current position. You can then move the lens without changing its contents. However, if you add or change anything in the Impict image within the area shown by the lens these changes will also appear in the lens. To avoid this you must flatten the lens to convert it to a bitmap (see below).

3: Applying effects

You can apply most of Impict's effects to lens objects:

· You can add drop shadows with the Shadow Tool.

· You can change the shape with the Shape Tool, and you can even add torn paper edge effects and patterns with the Shape Tool's Mask Editor.

· You can also add outlines with the Shape Tool.

· You can add transparency effects with the Transparency Tool.

The only restriction is that the lens object remains dynamic, showing everything visible in the target area defined by the Origin settings. This can be annoying when you add objects that you don't want to include in the lens. You can change this by converting the lens to a bitmap (see below).

4: Converting the lens to a bitmap

Once you have got the contents of the lens right it is usually a good idea to convert it to a static bitmap so that it no longer reflects any changes you might make in your layout. Proceed as follows:

· Don't apply any effects or shapes. It's best to convert a normal, rectangular lens to a bitmap and then apply effects and shapes afterwards.

· Select the lens object, then select Flatten Objects.. in the Object menu. If the lens object is rectangular just select Repaint objects on their current background.

· If the resulting image looks funny with transparent patches check the Shape Tool and select Rectangle instead of Custom. The Custom shape style is sometimes set automatically after flattening and it makes everything with the color of the bottom left pixel transparent.

· You can then apply all the normal Impict effects to the resulting image object (shadows, shapes, outlines etc).

Tip:
If you select the Leave original objects in place (make a copy) option in the Flatten Objects.. dialog you can keep a copy of the original dynamic lens object for reuse later. Just deselect its eye icon in the Object List to hide it, then you can always reactivate it if you need it again.

See also:
· Lens Object Properties Dialog
· Quality Resize with Lens Objects
· Copying Image Areas
· Cropping Images with Lens Objects


Copying Image Areas
Return to Introduction
Impict has two tools with which you can copy areas of your image to image objects that you can manipulate separately: The Copy Area object tool and the Lens Object tool, both of which are accessible in the Objects Toolbar.

Copy Area is a quick tool that immediately makes a copy of a rectangular area that you drag with the mouse. It does not provide any settings or resizing functions. The Lens Object tool is much more flexible, but it also takes a little longer to use. Which you use will generally depend on how accurate you want to be.

Quick copies with the Copy Area tool

Click on the Copy Area tool in the Objects Toolbar, then drag a frame in the image.

This is one of the few cases in Impict where you must drag the frame very carefully and precisely. The copy is made and inserted the moment you release the mouse button, which means you cannot resize it to include more or less of the original image afterwards.

You must also take care to choose the starting point of the frame you drag [image] this too cannot be changed after you release the mouse.

As soon as you release the mouse the copy is inserted on its own layer as a new bitmap image object. It appears in the Object List as an item called Bitmap (Copy) [image] you can change this name if you like by double-clicking on the entry in the Object List.

· The new object can now be moved and manipulated just like any other Image Object. You can resize it, add drop shadows, change its shape, apply transparency and so on.

In the example above the background image is shown lighter to make the copy easier to see. In reality it will look just like the copied area.

More accurate copies with the Lens Object tool

Click on the Lens Object tool in the Objects Toolbar, then drag a frame in the image. Don't worry about the position or the size of the frame.

Unlike the Copy Area tool, the Lens Object tool allows you to position and resize your selection frame after releasing it. The lens object properties dialog will appear automatically as soon as you release the mouse button.

· Select Single size zoom and leave Origin is absolute unselected in the lens object properties dialog.

· Now adjust the size and position of the lens object so that it contains exactly the image detail you want to copy. For quick results drag the lens object and the resize handles in the frame around the object. For more accuracy use the cursor keys to move and hold down SHIFT and press the cursor keys to resize. You can also enter new dimension and position values directly in the Size Tool.

· It's best to leave the shape of the lens set to Rectangle in the Shape Tool [image] this will give you more flexibility later.

· Select Flatten Objects.. in the Object menu. In the dialog displayed choose Repaint objects on a new background and deselect the Transparent background option. Click on OK to flatten the object.

· If the resulting image looks funny with transparent patches check the Shape Tool and select Rectangle instead of Custom. The Custom shape style is sometimes set automatically after flattening and it makes everything with the color of the bottom left pixel transparent.

The result is a bitmap image copy of the selected area of your image, which you can manipulate and apply effects to in exactly the same way as to the one made with the Copy Area tool.

See also:
· Adding Lens Objects
· Quality Resize with Lens Objects
· Cropping Images with Lens Objects


Resizing Screenshots
Return to Introduction
You will frequently want to change the size of your screenshots [image] to save space in your documentation, to emphasize details, to provide a better overview and for many other reasons. Impict provides you with two ways to resize screenshots and other bitmap graphics, the fast way and the quality way:

Simple resize, the fast solution:

You can always change the size of a bitmap by dragging its resize handles or entering new width and height values manually in the Size Tool.

Dragging the size handles:

· First find the Size Tool and check that Stretch is selected in the drop-down list at the top.

· Then drag on the resize handles (identified with the red arrows in the screenshot on the right).

Drag the corner handles to resize the whole image. Drag the side handles to change width or height only.

Entering new width and height values:

· Just enter the new values in the Width and Height fields, either by overwriting them or by clicking on the up and down arrows.

· You can also change the position of the image by changing the Left and Top values.

Using the cursor keys:

You can also resize image objects by holding down SHIFT and pressing the cursor keys. Pressing the cursor keys without holding down SHIFT moves the image object (this works for all objects).

See Resizing the Canvas to learn how to adjust the canvas size to your resized image.

Quality Resize, the better solution:

The simple resize operation is quick and easy but its results can look a little "jaggy". When you want better quality it's advisable to use a better mathematical resize function. You can choose from six different resize algorithms, each of which works differently on different kinds of images.

The Quality Resize function is accessed through the Image Properties dialog.

· Open Image Properties, then select Quality Resize from the drop-down list at the top to display the controls shown on the right.

· Select the Full size preview option below the preview window.

· Select the resize algorithm from the Filter list and enter a new value in the Width or Height field. The results are displayed in the preview window immediately [image] just select a different filter to compare results.

· Click on OK to resize your image.

· For full instructions on using this tool see the Quality Resize topic in the Reference section.

Quality Resize:

See Resizing the Canvas to learn how to adjust the canvas size to your resized image.

See also:
· Auto-Adjust Canvas
· Image Properties
· Size Tool


Resizing the Canvas
Return to Introduction
When you resize images they often get larger or smaller than the image background, which is also referred to as the "canvas", because it is like a virtual canvas that you paint your images on. You also need a larger canvas if you add objects so that they project over the edges of your original image.

Impict has a useful Auto-Adjust Canvas function that enables you to adjust the size of your canvas automatically to fit around all the objects in your image. It automatically expands the canvas if it is too small and contracts it if it is too large.

You can also adjust the size of the canvas manually [image] for example to create more space to work in when you are creating a more complex image containing several objects.

Using Auto-Adjust Canvas to adjust the background size

· Just click on the Auto-Adjust Canvas button in the File Toolbar to adjust the background.

· Auto-Adjust will expand the canvas to show hidden objects as on the right, or contract the canvas if it is too large [image] for example after shrinking an image.

Adjusting the canvas size manually to enlarge your workspace

When you are working on complex image layouts (for example when making expanded detail shots) you need plenty of space in your canvas so that you can move the objects around. You can enlarge the canvas manually with Properties.. in the File menu.

· Select Properties.. in the File menu.

· Enter new values for Width and Height. Don't be miserly [image] enter values that are much larger than you think you need so that you really have room to move around!

· When you have finished working just click once on [image] Auto-Adjust (see above) to fit the canvas snugly around your completed layout.

For technical reasons the Auto-Adjust function in the Properties.. dialog will only resize the canvas to the right and lower edges of the elements in your layout, without moving your objects to the upper and left edges of the canvas first. Use the [image] Auto-Adjust icon in the toolbar to resize the canvas on all four sides.


Selecting Multiple Objects
Return to Introduction
When you are working on layouts containing several objects you will often want to move objects as groups once you have arranged them. You can do this by selecting all the objects you want to move with Shift+Click.

How to do it

· Select the first object you want to move.
· Then hold down the SHIFT key and select the additional objects.

You can then drag the group of objects together or move them with the cursor keys. Multiple selected objects are identified by yellow handles and a bounding frame.

Selecting groups including covered objects:

If an object is completely covered by other objects select it first by clicking on its entry in the Objects List. Then hold down SHIFT and click on the object covering it.

Protecting objects against accidental movement:

You can protect objects and groups of objects against accidental movement by selecting them and then selecting Locked in the Object menu.


Adding Drop Shadows
Return to Introduction
Plain vanilla screenshots tend to look a little dated nowadays. Adding a drop shadow with Impict just takes a single mouse click and it radically improves the appearance of the screenshots in your documentation, giving a much more professional feel. Also, in Impict the shadow is stored internally as a separate object, which means that you can also remove it with a single click if you ever need to (just select the object and then choose No Shadow in the Shadow Tool).

The only small drawback is that you must use at least 256 colors in screenshots with shadows, otherwise the shadow will look flat and blocky. So if you really need to minimize space by using 16-color screenshots it's best not to use drop shadows.

How to do it

You can add drop shadows to individual objects or your entire image.

· To add a shadow just select the object or image, then select Drop Shadow in the Shadow Tool. See Shadow Tool for full instructions on using the control.

When you add a shadow to an image that fills the entire editing area (canvas) you will not see the shadow at first because it extends beyond the borders of the image.

· To see the shadow click on [image] in the File Toolbar to auto-adjust the canvas to the larger image. See Resizing the Canvas for more information.


Enhancing Bitmaps with Effects
Return to Introduction
The Image Properties.. dialog provides access to a large number of effects and transformations with which you can enhance and fine-tune your bitmaps.

In addition to six different filter algorithms for resizing you can correct colors, brightness and contrast, flip and rotate images and apply a whole set of transformations including Sharpen, Blur, Motion Blur, Emboss and Damaged TV.

· The example on the right shows how a flat, dark photo was enhanced with the Color Adjustments filter.

· See Image Properties.. for details of the available effects and filters and how to use them.

How to open the Image Properties Dialog

How to make images like this example


Ripped Edges and Patterns
Return to Introduction
Sometimes you don't need to show an entire image to communicate what you want to say. Images with ripped paper edge effects look cool and help to focus on what you want to say. They also have the added advantage of making your graphics files smaller [image] all that white space compresses to just a couple of bytes when you compile your project.

How to apply ripped paper edges

Applying this effect is very simple:

· Select an Image Object (this only works on bitmaps), then select Custom in the Shape Tool.

· Click on Mask Editor in the Shape Tool and select Shapes.

· Select the form of ripped paper edge you want to apply from the drop-down list. The result is shown in the Preview window.

See Shape Tool and Mask Editor for full details on using these effects. You can enhance the effect by adding a drop shadow as shown in the example. This example has also been resized slightly so that it takes up less space (resize before applying the other effects).

How to apply patterns

The Mask Editor also allows you to apply patterns to image objects. Two examples are shown on the right [image] these are actually two separate images, we just showed them combined to save space here.

· Patterns are applied in exactly the same way as ripped edges. Just select Patterns instead of Shapes in the Mask Editor.

Drop shadows and patterns:
Since a pattern is a transparency applying a pattern to an image with a drop shadow will make the shadow visible through the image, which usually looks terrible.

To apply a drop shadow to an image object with a pattern first apply the pattern, then flatten the image object, then apply the drop shadow.

How to make images like this example

Try using the cursor keys and SHIFT + cursor keys to move and resize your image objects precisely.

See also:
· Creating a Multicolored Pattern
· Extracted Images


Extracted Images
Return to Introduction
You can use the Custom setting in the Shape Tool to add extracted images with transparent backgrounds to your screenshots [image] like the happy parrot shown on the right.

All you need is a cleanly extracted image with a single-color background that uses a color not found in the image.

You must also make sure that the pixel in the bottom left corner has the color of the background. This is the pixel that the Custom setting uses as the "key" for making the background transparent.

For example, for the image on the right we set the original background to a shade of green not contained in the extracted parrot, as shown above.

How to do it

· Prepare an extracted image with a colored background in your graphics program, making sure that the image itself does not contain the background color.

Insert the image in your Impict layout. You can copy it from the graphics program via the clipboard or load it as a file with the Image Object tool in the Objects Toolbar. See Import and Export Business for details on importing image files.

· Click on the image or select its entry in the Object List to select it, then select Custom in the drop-down list in the Shape Tool. The background should become transparent automatically. If it doesn't, click on Mask Editor in the Shape Tool and select Automatic.

This only works if the pixel in the bottom left corner of the image has the color of the background. This pixel is always used as the key for defining the color that will be transparent. Also, all the pixels in the background must have exactly the same color value.

Try using the cursor keys and SHIFT + cursor keys to move and resize your image objects precisely.

Tip:
You can "abuse" this behavior to make different parts of your images transparent. Just open the image in your graphics program and set the bottom left pixel to the color you want to make transparent.


Expanded Detail Shots
Return to Introduction
Screenshots like the one on the right are very informative, focusing on what you want to explain while making the context immediately comprehensible. They also look good, making your help file attractive and professional.

Making shots like these with Impict is a snap once you're familiar with the program's tools.

This project is described in full detail with all the steps because it provides a good example of combining Impict's tools to achieve good results.

Let's go through the process step by step:

1: Make and save a screenshot of the entire dialog

Save this image in .BMP format in your source images folder if you use one (see Getting Organized).

Whichever capture utility you use, don't apply any drop shadows or special effects when capturing [image] you want to store this unchanged image as your source, so that you can use parts of it again and again later. We broke this rule a little bit here by applying a quick sparkle beneath the cursor with Help & Manual's screen capture utility. This was just because it was the quickest way to do this here, and we were sure we wanted to leave the sparkle in the image. We could just as easily have applied the sparkle later with a Dazzle object. Remember that all rules are there to be broken when you need to!

How to capture the menu in the dropped down state

Wondering how we included the Filter: menu in the screenshot? Here's the trick:

1: Open the window you want to make a screenshot of.
2: In the Impict, H&M or [image] T.N.T. capture utility choose Window or Menu as your capture mode. You can also select Include Cursor Icon and Add Sparkle if you want to add a mouse pointer with sparkle as in the example above. Then select Start Capture.
3: Ignore the red frames for the moment. Click normally on the drop-down list you want to include and move the mouse to the item you want to have highlighted in your screenshot. DON'T CLICK AGAIN!
4: Carefully move the mouse out of the list to the left. The list will stay dropped down.
5: Now, avoiding the dropped-down list, move the mouse pointer so that the item you want to capture is highlighted by the red frame. In the example above this is the entire dialog. DON'T CLICK!
6: Press and hold down the Ctrl key. This will "lock" the image you want to capture.
7: Continue to hold down the Ctrl key. If you're not including the mouse pointer with sparkle you can click now to make your screenshot. If you want to include the mouse pointer, first position it over the highlighted item in the dialog, then click.

That's it. Neat, no?

2: Create your working .IPP image

Now save the image again, this time in .IPP format. This is the image that will contain all your changes, objects and transformations. If you make a mistake you can always re-import the BMP image you saved in the last step.

3: Copy the detail area you want to focus on

Select the Copy Area tool in the Objects Toolbar and drag a frame around the part of the image you want to highlight, as shown on the right.

This automatically creates a new object on a new layer, with the name Bitmap (Copy) in the Object List. If you want you can double-click on the Object List entry to give it a new name, like "Settings Detail".

You can also use the Lens Object to make a quick enlarged copy of an area. Lens objects can also be used to make more accurate copies of image areas. Click here to learn how.

4: Shrink the background image and apply transparency

Now that we have the detail we can shrink the background image so that it doesn't take up so much space. Select the main background image, then select Image Properties and Quality Resize.

Select Full size preview and experiment with the filters in the filter list until you find the one that produces the best results. The default, Lanczos3, is usually best for most images. Mitchell can also produce nice results that look a little less hard.

Next you want to apply transparency to the shrunken background image so that the detail stands out. Select the image, then select Flat in the Transparency Tool and adjust the Min slider to about halfway.

Later, the ends of the lines connecting the detail with this image are going to be hidden under this image. This isn't possible if it's transparent, so now you need to flatten the transparent image to make it opaque.

This is just one way of making an object semi-transparent. For a different method see Semitransparent Backgrounds.

5: Flatten the transparent background object and enlarge the background

Make sure that the transparent image is still selected, then select Flatten Objects in the Object menu. Since this is a simple rectangular object you can just select Draw on Current Background to turn the "transparent" object in to an opaque, light grey bitmap.

In the next steps you want room to manipulate your objects, so before you continue select Properties... in the File menu and enlarge the image canvas (background). Enter height and width values considerably larger than what you need to give you room to move around in, you will shrink the canvas again later when you finish off the image.

6: Position the objects and create the connecting lines

After positioning the objects attractively in relation to one another you can draw the two lines that will connect the detail with the background image.

Select the Line Object tool in the Objects Toolbar, drag a rectangle in roughly the right place and define a black, diagonal line 2 pixels thick.

Don't worry about the exact size, orientation and position, you can adjust that with the cursor keys and by dragging the resize handles.

Drag the resize handles around the line so that the ends just overlap the corners of the two images, as shown on the left.

This is much easier to do than to describe [image] just experiment by dragging on all 8 resize handles and you will soon understand how it works.

If the object becomes deselected just select the line's entry in the Objects List to reselect it. This is a lot easier than trying to click on the line.

You can also move and resize the line with the cursor keys. Press the cursor keys to move, hold down SHIFT and press the cursor keys to resize.

Now use the Arrange tools to position the line behind the other two images, as shown on the right. Here too, it's easier to do than to explain. Experiment with moving the individual objects forward and back until you get it.

You can also move objects forward and back by dragging their entries up and down in the Objects List and by pressing Ctrl+F and Ctrl+B.

Then repeat the above steps to create the second line.

7: Resize the canvas and add the finishing touches

Resize the canvas:
Click on [image] in the File Toolbar to resize the image background to fit your objects. See Resizing the Canvas for more information.

Apply anti-aliasing to the lines:
Select each line object, then select Anti-Aliasing in the Object menu.

Apply drop shadows:
Select the object, then select Drop Shadow in the Shadow Tool.

Draw an outline around the expanded detail object:
Select the object, then select Width 1 and Color black in the Shape Tool to draw an outline.

That's it. As usual, all these steps take much longer to describe than to perform. Once you have grasped the basic principles you will be producing screenshots like these with a few clicks. Making a shot like this one will usually take around five to ten minutes.


Emphasizing Details
Return to Introduction
Often you want to focus on a single detail or part of a screenshot or image. You can achieve this by showing the detail full-sized or magnified and then shrinking the original image so that it does not take up so much space.

You can also change the shape of the detail and apply an outline and/or a drop shadow do make it look more attractive and stand out better.

Let's go through the steps necessary to emphasize a detail as shown on the right:

1: Copy the detail area you want to focus on

Select the Copy Area tool in the Objects Toolbar and drag a frame around the part of the image you want to highlight, as shown on the right.

This automatically creates a new object on a new layer, with the name Bitmap (Copy) in the Object List. If you want you can double-click on the Object List entry to give it a new name.

· You can also use the Lens Object to make a quick enlarged copy of an area. Lens objects can also be used to make more accurate copies of image areas. Click here to learn how.

2: Resize the main image

Now that we have the detail we can shrink the background image so that it doesn't take up so much space. Select the main background image, then select Image Properties and Quality Resize.

Activate the Full size preview option below the preview window and experiment with the filters in the filter list until you find the one that produces the best results. The default, Lanczos3, is usually best for most images. Mitchell is also good and a little softer.

3: Add the finishing touches

· Select the detail and apply a different shape with the Shape Tool. We used an ellipse in the example on the right.

· Define an outline by entering a Width value in the Shape Tool. We chose a yellow outline, one pixel wide.

· Apply anti-aliasing (Object menu) to the detail to make its outline smoother.

· Apply drop shadows to the detail and the background image and reposition both the objects for the best effect.

· Click on [image] to resize the canvas of your Impict image so that it fits snugly around the objects.

See Expanded Detail Shots for more ideas on using emphasized details to create more informative and attractive screenshots.


Semi-transparent Backgrounds
Return to Introduction
Another way to emphasize details is to make all of the image semitransparent except the part that you want to focus attention on. This is a good approach if you don't want to shrink the background.

In this project we are also going to use an alternative method of making an object look semitransparent. Instead of applying transparency to the object itself, as we did in the Expanded Detail Shots project, we are going to place a white, semi-transparent shape between it and the detail we want to focus on.

This has two advantages: It preserves the original object and it makes it easier to apply a drop shadow to the "transparent" object. (If objects are really transparent applying a shadow makes them look flat and muddy because the shadow is visible through the object.)

The first step in this sequence is exactly the same as the procedure for emphasizing details against shrunken background images:

1: Copy the detail area you want to focus on

Select the Copy Area tool in the Objects Toolbar and drag a frame around the part of the image you want to highlight, as shown on the right.

This automatically creates a new object on a new layer, with the name Bitmap (Copy) in the Object List. If you want you can double-click on the Object List entry to give it a new name.

· You can also use the Lens Object to make a quick enlarged copy of an area. Lens objects can also be used to make more accurate copies of image areas. Click here to learn how.

Don't move the copied area!
It's important not to move the copied area [image] this effect only looks right if the emphasized detail is positioned precisely on top of the lighter-colored background. If it does get moved you can reposition it best with the cursor keys. To protect it against accidental movement you can select Locked in the Object menu for both the detail and the background image; this makes it impossible to move them with the mouse.

2: Create a shape object to cover the background image

Select the Rectangle Shape tool in the Objects Toolbar and drag a frame over the image. Don't worry about the size and position of the shape [image] you'll adjust this with the Size Tool in a moment. The image with an example of a suitable rectangular starting shape is shown on the right.

Making the rectangle shape fit:
Click on the background image (this would be the parrot in the example) and note the position and dimension values displayed in the Size Tool.

· Select the rectangle shape and enter the background image position and dimensions values that you noted in last step in the Left, Top, Width and Height fields of the Size Tool.

4: Make the rectangle semitransparent and adjust the layers

When you finish Step 3 the entire image will be covered by an opaque white rectangle shape (if it's not white select filled and white with the Fill Tool).

Select the opaque rectangle shape. Then, in the Transparency Tool, select Flat transparency and adjust the Min slider control to around the 50% mark. This will make the shape semi-transparent.

The problem is, the detail we want to focus on is also "grayed" because it is behind the semi-transparent shape. In the example it is highlighted it to make it visible [image] normally you won't be able to distinguish it from the background.

To correct this you just need to adjust the position of the semi-transparent shape in the layer stack.

To do this select the shape's entry in the Object List and drag it to position it between the detail and the background. In the example this means dragging SemiShape up between Detail and Background.

You can also move the shape in the layer stack by selecting it in the editing window (or the Object List if it's covered) and pressing Ctrl+F and Ctrl+B to move it forward (up) and back (down) in the stack, and with the tools in the Arrange Toolbar.

5: Change the shape of the detail and apply the finishing touches

· Select the detail and apply a different shape to it with the Shape Tool. We used an ellipse but you might want to experiment with different shapes.

· Select the background image (not the semi-transparent shape!) in the Object List and apply a drop shadow.

· Select [image] in the File Toolbar to resize the canvas around the shadow.

· Change or remove the black outline around the semi-transparent shape with the Width and Color values in the Shape Tool (a width of 0 removes the outline).

You can also experiment with adding outlines to the detail and changing its shape with the Shape Tool, magnifying it with the bitmap properties dialog and so on.


Reusable Numbering Tags
Return to Introduction
You may sometimes want to insert reference numbers in your screenshots to identify elements that you refer to in your documentation texts. The usual way to do this is to create a Shape Object and then insert a Text Object on top of it [image] this is the only way to get the text centered perfectly on the background object.

Make reusable tags for quick insertion

The shape + text method is unwieldy however, particularly if you have many tags in your layout, and it's also a waste of time to recreate similar tags for every new screenshot every time you perform this task. The solution is to create a set of standardized numbering tags that you can use over and over again.

The process of making a set of tags like this is a little more involved and time-consuming than inserting a shape and then inserting and aligning a text on top of it. But it's worth the effort because if you do it right you never have to do it again for the same type of tags.

Useful tips and notes

Make bigger tags for multi-purpose use:
The tags constructed in this project are a ready-to-use standard size, as shown in the example above. However, if you make much larger tags, say double or triple this size, you can then resize them for different purposes with the Quality Resize function in the Image Object Properties dialog. This saves you having to make different sets for different sizes. It's also a lot easier to align text precisely when you are working in larger objects.

Wider tags for two digits or texts:
You should also note that this project describes the procedure for making tags from 1-9, i.e. with single numbers centered in a symmetrical (square or circular) shape object. If you need more than nine tags you will have to do a little more planning, making the shape objects a little larger to accommodate the widest pair of characters. You may also want to use rectangles instead of squares for longer texts.

Import tags from a graphics program:
You can also use a graphics program like PhotoShop to create a set of tags (and other objects). Then just copy them and store them in an .IPP file as image objects that you can copy directly into your Impict layouts whenever you need.

Making a set of numbering tags with Impict

1: Create a new .IPP file to store the tags

Select New in the File menu or click on the New File icon in the File Toolbar. Define a file with a dark background that will allow you to see the white tags you are going to make clearly [image] dark grey is ideal.
· Make the width and height large enough to give you enough room to work in comfortably [image] around 500 x 500 pixels is a good size. Then save the file in a safe place with an easily-identifiable name in Impict .IPP format.

2: Create the starting shape and text objects

The shape object:

Click on any of the shape object tools in the Objects Toolbar, then drag a frame in the editing window of the file you just created. You can use any shape and also don't worry about the size, we will set both of those in a moment. Select the shape and check the Fill Tool to make sure that the shape is set to Filled and White.

The text object:

Click on the Text Object tool in the Objects Toolbar and click anywhere in the editing window.
· Enter your first number in the text object properties dialog that appears [image] this will probably be 1 [image] and choose your font style, size and weight. We chose Arial Black, Regular, 11 points. Leave the alignment set to Left Align.

3: Adjust the shape and size of the objects

Shape object:

· Click on the shape object you just created to select it (or select its name in the Object List).

· In the Shape Tool choose Square and set Width to 0 for no outline. Use these settings even if you want a different shape and an outline in your finished tags [image] you will see why later!

· In the Size Tool set Width and Height to 22. It is very important to enter both values, even though the square shape only needs one value to size it!

Text object:

· Select the text object you just created and set its Width and Height to 22 in the Size Tool.

Again, it's very important to enter both values [image] this entire process will only work if both objects have bounding frames that are exactly the same size. You should now have two objects that look like the example on the left.

4: Align the objects and center the text

· Select the shape object and position it with the Size Tool by entering 100 for Left and 100 for Top.

Repeat for the text object. Again, enter 100 for Left and 100 for Top. You can actually use any values you want, but they must be exactly the same for both objects so that they align precisely! The result should look like the example on the left.
· Select the text object [image] it's now easier to click on its entry in the Object List [image] and press Ctrl+E or select Edit Properties.. in the Object menu to display the text object properties dialog.

Experiment with the Offset values in the text object properties dialog to center the text on the shape. You will probably only need to enter a left offset for this project. You can enter negative values to move the text in the opposite direction.

5: Make copies of your objects

Before merging the two objects to make the final tag you need to make some copies to use for the next tags.

· Select the shape object by clicking on its entry in the Object List, then copy it to the clipboard by pressing Ctrl+C or selecting Copy in the Edit menu.

· Now insert a couple of copies by pressing Ctrl+V or selecting Paste in the Edit menu. Drag the copies away from the aligned object pair as you make them. Don't make more than two or three, otherwise things get cluttered.

· Repeat for the text object.

Be careful not to disturb the alignment of your original object pair. Check their position values in the Size Tool and correct if necessary.

6: Merge the objects to make a bitmap

Select the underlying shape object by clicking on its entry in the Object List. Then hold down the SHIFT key and click in the middle of the object pair so that both objects are selected. this is shown by yellow handles around the object pair.
· Select Flatten Objects in the Object menu. Select Draw objects on their current background, then click on OK. This step is the reason for all the careful alignment [image] if we had not made these preparations the resulting image object would not have had the right size and shape.

· The resulting image object will initially be transparent because Custom is selected automatically in the Shape Tool when you use the Flatten Objects command. Just select a different shape in the Shape Tool to correct this.

7: Format the bitmap tag

You now have a clean bitmap tag containing perfectly-aligned text that you can reuse and format in any way you like. This is why we originally defined the object as a square, because this gives you the flexibility to turn it into any other shape once you have flattened it into a bitmap. A rectangle would work just as well if you need an object that is wider than it is high.

· Use the Shape Tool to turn the object into a circle, square or other shapes.

· Set Width and Color in the Shape Tool to apply different styles of outlines to the tag.

· Set Anti-Aliasing in the Object menu to smooth the outline. Apply a drop shadow.

8: Make the rest of your tags and store your tagset file

To make the rest of the tags you just need to repeat the process with the copies made in Step 5, changing the text in the text object for each new tag.

When you're finished store the tagset file with all the tags in a safe place. Whenever you need to use numbering tags in your layouts just open the tagset file, copy the tags you need and format as necessary (see Step 7).

Doing this is admittedly quite a bit of work, but once you've got a set of tags you never need to do it again, and using them is much, much quicker than creating new shapes and text objects every time you want to insert a tag.


Repairing Text and Buttons in Screenshots
Return to Introduction
This is something all help authors experience occasionally: You know that a text in the user interface of the program you are describing has changed, or is going to change, but you don't have access to the new version of the program to make the updated screenshot.

If the changes aren't too dramatic you can often use Impict to "repair" screenshots to build updated versions with new texts and buttons.

Changing text and adding a new button

Let's assume that you've just heard that the dialog element shown on the right (this is actually from Help & Manual's screen capture utility) has changed in two ways:

Instead of Start Capture the text in the top button has changed to Capture, and a new button called Change has been added between Cancel and Help.

Let's start by changing the text in the top button:

Erase the old text:

· Click on the screenshot to select it and copy it to the clipboard by pressing Ctrl+C (or right-click and select Copy or select Copy in the Edit menu).

· Switch to your favorite graphics program and paste the screenshot as a new image. Select the grey background as the painting color and overpaint the Start Capture and Help texts (we have to create a new Help button lower down).

· Copy the result to the clipboard, return to Impict, select the screenshot image window and press Ctrl+V to paste (or right-click and select Paste or select Paste in the Edit menu). If you want to overwrite the old screenshot select it before pasting.

Enter the new texts:

Select the Text Object tool in the Objects Toolbar, then drag a small rectangle roughly over the empty top button and enter the new text.

· The standard font for Windows screen elements is MS Sans Serif, the points size here is 11. Position the text object with the help of the cursor keys.

· Repeat for the new Change button, entering and positioning the new text in the empty button that used to be the Help button.

Create the new Help button:

We've changed the old Help button to Change, so now select the Button Object tool in the Objects Toolbar, then drag a small rectangle in the empty area.

· This opens the Button Object Properties dialog. Enter &Help to create the text with the H underlined and set the font to MS Sans Serif, 11 points.

Tidying up:

That's basically it. Now you just need to position and resize the new button (use the cursor keys to move, SHIFT + cursor keys to resize) and copy your work into your original screenshot if necessary.

Try using Copy Area and Lens Objects to copy and move parts of screenshots. You can also erase and replace texts anywhere in your screenshots, not just on buttons. Once you've grasped the basic principles you'll find that it's all quite easy to do.

See also:
· Import and Export Business
· Re-Editing Your Screenshots


Adding Hotspots (Hyperlinks)
Return to Introduction
Impict includes full support for creating and editing hotspot hyperlinks in your images. Using this facility you can create "hot" or "active" areas that the user can click on to display popups, jump to another topic or execute a WinHelp macro (see the documentation included with the Microsoft Help Workshop compiler package for WinHelp for more information on these macros).

Advanced hotspot features

In addition to these standard hotspot features Impict also makes it possible to use hotspots to execute HTML code in browser-based HTML and HTML Help projects. Using this feature you can use hotspots to access files, execute JavaScript code or other script languages or perform any other action that you can achieve with code inserted between the quotes after the HREF= element in the HTML <A></A> link tag mapped to the hotspot.

See the Hotspot Properties topic in the Reference section for a basic information to this feature. However, you do need HTML and scripting knowledge and skills to use this facility [image] detailed instructions would go beyond the scope of this online help. Sorry about that, but there are limits...

Always use the Impict .IPP format for images with hotspots!

You can only store hotspots in Impict's own .IPP format files or the standard WinHelp graphics .SHG format. Hotspots are simply discarded in all other file formats. You must use the .IPP format if you use the Alternative HTML Code option (see Hotspot Properties for details) [image] this code is not saved in .SHG files or any other format.

Furthermore, hotspots in .SHG files do not work in dual-mode HTML Help files (see below) so we strongly recommend using .IPP files for all your Help & Manual projects, as they are generally much more flexible anyway. It's also worth mentioning that .IPP files containing hotspots are automatically converted to .SHG at compile time when you output to WinHelp (HLP), so you don't lose anything by standardizing to the .IPP file format.

Don't use .SHG files for hotspots in dual-mode HTML Help!

There is an issue you should be aware of regarding hotspots in dual-mode help files, i.e. HTML Help projects compiled with an additional WinHelp file containing formatted popup topics (look for "Dual-mode Help Files" in the index of the Help & Manual online help for more details on projects of this type):

For technical reasons, hotspot links don't work at all in dual-mode HTML Help files generated with Help & Manual if the images containing your hotspots are stored in the Microsoft WinHelp .SHG hotspot graphics format. If you are planning to use hotspots in dual-mode HTML Help you must store your hotspot images in Impict's own .IPP format.

You lose nothing by using .IPP instead of .SHG [image] in fact, you gain two major benefits: Firstly, in addition to using ordinary hotspots you can also use the advanced macro and alternative HTML code options supported by Impict and Help & Manual, which are not supported by .SHG. And secondly you can use all of Impict's advanced graphics editing features to add layers, effects and additional editable objects to your images.

Adding hotspots

Select the Hotspot Object tool in the Objects Toolbar and drag a frame over the area in your image where you want to insert the hotspot. Don't worry about getting the size and position exactly right [image] this is easy to adjust later.

Please don't ask us why you might want to create a hotspot on our happy camel. We don't know either, we just thought he might liven up the topic a little.

As soon as you release the frame the Hotspot Properties dialog will appear, where you can choose the hotspot type and enter topic IDs for jumps, macro code and alternative HTML code for HTML and HTML Help projects.

See Hotspot Properties for details about the features available in this dialog and how to use them.

Hotspot types

You can choose three different types of hotspots in the Hotspot Properties dialog:

· Topic links, which perform an unconditional link to another topic when the user clicks on them.

· Popup links, which display a popup window when the user clicks on them.

· Macros, which execute a WinHelp macro or alternative HTML code (see Hotspot Properties) when the user clicks on them.

Please see the Help & Manual online help and the documentation of the Microsoft help compilers for more information on linking to topics in your help project.

Editing and managing hotspots

As soon as you create a hotspot Impict adds a special Hotspots section in the Object List, with a drop-down list of all the hotspots in your image.

The Object List is your hotspot navigation tool [image] you use it to rename and select hotspots, whose frames can be difficult to see on dark images.

To select a hotspot just click on its entry in the Object List. If you can see it you can also select the hotspot by clicking on it in the image, just like any other object.

Moving and resizing hotspots:

You can move and resize hotspots just like all other Impict objects:

· Select the hotspot and drag it to move. Drag its resize handles to resize.
· Use the cursor keys for more precise moving and resizing. Press the cursor keys to move, hold down SHIFT and press the cursor keys to resize.

Editing hotspot properties:

There are several different ways to display the Hotspot Properties dialog for editing:

· Double-click on the hotspot.
· Select the hotspot and press Ctrl+E.
· Select the hotspot, then select Edit Properties.. in the Object menu.

Linking to anchors in hotspots:

You can also link directly to anchors in topics; simply edit the Topic ID: field in the the Hotspot Properties dialog manually and add a # character and the ID of the anchor in the field (found in the Topic Options tab in Help & Manual) without any spaces, for example:

Topic ID: ConvertSettings#formatA

Renaming hotspots:

Hotspots are automatically named Hotspot1, Hotspot2 etc. If you have more than a couple of hotspots in your image it's a good idea to give them more meaningful names. To rename a hotspot double-click on its entry in the Object List and enter a new name in the dialog displayed.

Moving images and hotspots together:

Hotspots are not linked or locked to the images beneath them. If you move the image the hotspots will stay where they are, which means that the hotspots are no longer in the right position relative to the image. To move images in your layout together with their hotspots select the images and the hotspots together as a group, then move normally. (Use the cursor keys for more precise moving.)

Hiding and protecting hotspots:

Once you have entered your hotspots you can hide them to protect them against accidental changes and make it easier to work on the rest of your layout. Just click on the eye icon next to the Hotspots entry in the Object List so that there is a red X over it [image] this will hide all the hotspots and make it impossible to select them with the mouse.


Re-editing Your Screenshots
Return to Introduction
It happens [image] after working on your screenshot in Impict and adding attractive effects and objects you suddenly realize with a sinking feeling that you need to re-edit the original image. If you export the image from Impict as BMP or any other format that you can edit with your paint program you will merge all the objects, making it impossible to edit them separately in Impict later. Oops!

All is not lost! You can re-edit the original screenshot without losing your editable objects in Impict! There are two ways to do this:

· Export the screenshot layer and edit it with your graphics program

OR

· Create a new screenshot and import it into your Impict image

Image Size:

If you want to keep your original layout you should avoid changing the dimensions of the exported image when editing. The same applies when creating new screenshots. Note the size of the image you want to replace and edit your new screenshot accordingly. Check the size of your bitmap (and any other object) by clicking on it and looking at the Width and Height dimensions in the Size Tool. Check the size of the entire Impict image with Properties.. in the File menu.

If size isn't such an issue you can import images with a different size and then resize your canvas to fit.

Procedures

How to export the screenshot layer to a file

Tip: If you still have your original screenshot you don't need to export the image object from your Impict image. Just re-edit the image and then import it as explained below.

1: In the Object List tool, click on the eye icons to the left of all the objects that you don't want to include in the export file for editing. This will make them invisible.

2: In the File menu, select Save As..., then select a suitable format to export the bitmap for editing. It's best to use a non-lossy format like BMP or TIF [image] lossy compression formats like JPEG lose quality every time you save them.

How to export the screenshot layer via the clipboard

Tip: If you still have your original screenshot you don't need to export the image object from your Impict image. Just re-edit the image and then import it as explained below.

1: Click on the screenshot layer image to select it. If it's covered by other objects just select its entry in the Object List tool.

2: press Ctrl+C (or select Copy in the Edit menu or right-click and select Copy in the popup menu).

3: Switch to your graphics program and paste the image from the clipboard. You should normally be able to use Ctrl+V, but see the documentation of your graphics program if this doesn't work.

How to import the edited bitmap from a file

1: In the Objects Toolbar, select the Image Object tool. Then left-click once anywhere in the image editing area to open the file selector dialog and select the image file.

Just click once, don't drag a frame! Dragging a frame imports the image into the frame and forces the resize function. If you do this by mistake just select Autosize in the Size Tool to reset the bitmap to its standard dimensions.

2: The imported image should be selected automatically. If it isn't just click on it or select it in the Object List. Then press the cursor keys to position it properly.

3: Click on the Send to Back tool to make the screenshot the background. Alternatively you can also select its entry in the Object List and drag it to a new position in the list, or press Ctrl+B and Ctrl+F to move it up and down.

Tip: You can avoid the need to position the image if you load the bitmap file as a background instead of inserting it as an image layer. Just select Properties... in the File menu, then select the image file with the Background Image option. The disadvantage of this method is that you can't perform any manipulations on the background image.

How to import the edited bitmap via the clipboard

1: Select the edited bitmap in your graphics program and copy it to the clipboard. You should be able to use Ctrl+C for this [image] see your graphics program documentation if it doesn't work.

2: Switch to Impict and select the image you want to import the bitmap to. Make sure that no objects are selected, otherwise the bitmap will overwrite the selected object. (To deselect all objects just maximize the image window and click anywhere outside the image area.)

3: Press Ctrl+V to paste the bitmap (or select Paste in the Edit menu or right-click and select Paste in the popup menu).

4: Click on the Send to Back tool to make the screenshot the background. Alternatively you can also select its entry in the Object List and drag it to a new position in the list, or press Ctrl+B and Ctrl+F to move it up and down.

Tip: You can avoid the need to position the image if you load the bitmap file as a background instead of inserting it as an image layer. Just select Properties... in the File menu, then select the image file with the Background Image option. The disadvantage of this method is that you can't perform any manipulations on the background image.


Creating a Multicolored Pattern
Return to Introduction
You can use the Patterns option in the Mask Editor of the Shape Tool to create colored patterns with transparent backgrounds that you can then place over other objects for attractive or amusing effects. All you need is a colorful bitmap [image] we used our poor, overworked parrot.

Procedure:

· Load the image that you want to use as a pattern, either by opening the image file (Ctrl+O or Open in the File menu) or by selecting the image object tool in the Objects Toolbar to insert the image as a new object in your current Impict image.

· Select Tile or Stretch in the Size Tool [image] this will enable you to create a pattern of any size because the colored background of the pattern will expand and contract automatically as you resize the bounding frame.

· Select the image object, then select Custom in the Shape Tool and click on the Mask Editor button.

· This displays the Mask Editor dialog. Select Patterns and then experiment with the effects of different pattern masks from the list displayed in the dialog. How the pattern looks will also vary depending on whether you have selected Tile or Stretch in the Size Tool.

Variations:

Shadows and transparencies:

· You can apply shadows to the individual components of the pattern with the Shadow Tool and you can also make them transparent with the Transparency Tool.

Flattening your pattern object:

You can also convert the pattern object into a static bitmap with Flatten Objects in the Object menu. This will enable you to apply other transformations and effects to it that would not be possible when the pattern effect from the Mask Editor is still active. Have fun!


Quality Resize with Lens Objects
Return to Introduction
You will probably have noticed that the Lens Object tool only does a quick, simple resize [image] its contents are magnified by copying and repeating the neighboring pixels of the original image. This is OK for most screenshots but there are times when you want a better quality enlargement. One way of doing this is to use Copy Area and then apply Quality Resize to the resulting image object.

The problem is, Copy Area isn't nearly as flexible as lens objects when it comes to selecting the area to be copied, because it makes the copy as soon as you release the mouse. There is a simple solution to this problem:

How to use Quality Resize with the Lens Object tool

Select the Lens Object tool in the Objects Toolbar and drag a frame in your image. The lens object properties dialog will appear automatically when you release the mouse button.

· Select Single size zoom and leave Origin is absolute unselected in the lens object properties dialog.

· Adjust the size and position of the lens object so that it contains exactly the image detail you want to enlarge. For quick results drag the lens object and the resize handles in the frame around the object. For more accuracy use the cursor keys to move and hold down SHIFT and press the cursor keys to resize. You can also enter new dimension and position values directly in the Size Tool.

· It's best to leave the shape of the lens set to Rectangle in the Shape Tool [image] this will give you more flexibility later.

· Select Flatten Objects.. in the Object menu. In the dialog displayed choose Repaint objects on a new background and deselect the Transparent background option. Click on OK to flatten the object.

· If the resulting image looks funny with transparent patches check the Shape Tool and select Rectangle instead of Custom. The Custom shape style is sometimes set automatically after flattening and it makes everything with the color of the bottom left pixel transparent.

· Now resize the resulting image object with Quality Resize. You can then apply a drop shadow and use the Shape Tool to change the shape and apply an outline.


Cropping Images with Lens Objects
Return to Introduction
When you are building layouts with Impict objects you'll often want to crop images [image] to save space, to focus on details or just to make the images look better. You can do this by exporting the bitmap layer to your graphics program so that you can crop it there if you want. But you might like to know that the flexible Lens Object tool is also an efficient cropping tool. In this project we're going to show you how to crop a bitmap image of a mouse down to an attractive detail with lens object tool, without leaving Impict for so much as a second.

Always use a rectangular lens for cropping:

Always use the lens object tool in its normal rectangular form for cropping [image] you won't get good results if you apply shapes. You can always apply shapes with the Shape Tool after cropping, when the object is a simple bitmap.

1: Load the image and mark the crop area with the lens tool

· Load the image in Impict, either by opening the file or by loading it as a new layer with the image object tool in the Objects Toolbar.

Select the Lens Object tool and drag a frame in the image. Don't try to get the frame exactly right, you'll resize it precisely in a moment.

When you release the mouse button the lens object properties dialog is displayed. Select Single size in the zoom settings and leave Origin is absolute unselected. Press ENTER or click on OK.

· Move and resize the lens object frame so that it marks exactly the part of the image that you want to crop out. Drag the frame and the resize handles for quick moving and resizing.

· Use the cursor keys for more precision [image] pressing the cursor keys on their own moves the lens object, holding down SHIFT and pressing the cursor keys resizes.

You can also position and resize the lens object by changing the values in the Size Tool. For example, enter Top 0 / Left 0 to position the frame precisely in the top left corner.

2: Convert the lens object to a bitmap

· Make sure that the lens object is selected, then select Flatten Objects.. in the Object menu. In the dialog displayed select Repaint objects on new background and deselect Transparent Background. (Since the crop frame is rectangular you could also select Draw objects on their current backgrounds [image] it would have exactly the same effect.) Then click on OK to turn the selected lens object into a bitmap image object.

· If the resulting image looks funny with transparent patches check the Shape Tool and select Rectangle instead of Custom. The Custom shape style is sometimes set automatically after flattening and it makes everything transparent that has the color of the pixel in the bottom left corner of the image.

3: Hide or delete the original image and resize the canvas

Now you have a cropped copy of the original image in a new bitmap image object.

· Hide the original image object by clicking on its eye icon in the Object List, or select Hide in the Object menu.

· Click on [image] in the File Toolbar to resize the canvas to the size of the cropped image.

If you want to keep the original image just leave it hidden. Otherwise you can delete it by selecting its entry in the Object List and pressing DEL.

4: Add the finishing touches

· Apply a different shape to the cropped image with the Shape Tool.

· Apply a drop shadow.

· Add an outline with the Shape Tool and select Anti-Aliasing in the Object menu to smooth the outline.

You can use all the tools and effects on the cropped image that you can apply to any normal bitmap image [image] it is a normal bitmap image.

See also:
· Adding Lens Objects
· Quality Resize with Lens Objects
· Copying Image Areas


Reference
Return to Introduction
This section provides full information on all the elements, tools, objects and controls provided by Impict. Most of the topics here can be accessed with context-sensitive help (select Help in dialogs or press F1 when no help button is displayed) but you can also learn a lot by browsing here.


Workspace (Main Window)
Return to Introduction

· The Objects toolbar on the left is where you select the objects you want to add to your images. Just click on a tool in the Objects toolbar, then click or drag a frame in the editing window to insert your object.

· The Impict tools on the right are the main effects you can apply to your objects. When an object is selected the effects you can apply to it are active.

Click on the objects and tools to view their entries in the Reference section.
· More effects are available in the Object Menu, and in the popup menu displayed by right-clicking or double-clicking on an object.

· The function toolbars at the top provide basic editing functions, which are also available in the File and Edit menus.

· See the Objects and Images section in Reference for full descriptions of all the objects you can use in Impict.


File Menu
Return to Introduction

Click on menu items shown in green to see the associated Reference topic.

Icon | Menu Item | Shortcut | Function
 | New... | Ctrl+N | Creates a new Impict image file.
 | Open... | Ctrl+O | Opens an existing Impict image or bitmap file.
 | Reopen... |  | Displays a list of recently-edited image files for selection.
 | Save | Ctrl+S | Saves the current image file under its present name. Prompts for a name if the file has not yet been saved.
 | Save As... |  | Saves the current image file with a different name and/or in a different format.
 | Save All |  | Saves all currently open images under their current filenames. You will be prompted to enter filenames for images that have not been saved yet.
 | Close |  | Closes the current Impict image, prompting you to save if changes have been made.
 | Properties... |  | Opens the dialog box for resizing the canvas (image background) and defining some other parameters applied to the entire Impict image.
 | Print... | Ctrl+P | Outputs the current Impict image to a printer. Opens a dialog where you can select print options.
 | Exit | Alt+F4 | Exits Impict.


Save As

Save As... / Image Types
Return to Introduction

This menu option is used to save the current image with a different name or in a different format. This is particularly important in Impict, because you will often work in one image format and save or output your work in another format. See the topic links below for more information on why you will want to do this.

Using Save As...

· Select the image format you want to use in the Save as type: field.

· Then select the options displayed for the selected image type, choose a filename and click on Save to save.
See also:

· About Impict Images
· Keeping Your Files Small
· Image Formats in H&M
· Import and Export Business

Image options:

These options are displayed in the Save As... dialog when you select the corresponding image formats.

Bitmap Options

Color Depth
Compression
SHG Options

Color Depth
Hotspots Visible
JPEG Options

Compression Quality
PNG Options

Color Depth
Filter
Compression
Interlaced
PCX Options

Color Depth
Compression
TIFF Options

Document Name
Document Description
Colors
Photometric
Compression

TGA Options

Compression


Properties...

Background Properties...
Return to Introduction

The Properties dialog in the File menu allows you to adjust the dimensions, color and contents of the image background. This is similar to the "canvas" setting that you may be familiar with from some other graphics programs.

To open the Properties... dialog:
Select Properties... in the File menu.

Using the Background Properties dialog

Width and Height:
These settings change the dimensions of the image background or canvas without resizing the bitmaps and objects it contains. Use to get more room to position objects in relation to one another.

Auto-Adjust:
When you click on this button the image background will be automatically resized to fit around the outer edges of all the current objects.

Note: Auto-Adjust in this dialog is not quite the same as the [image] auto-adjust button in the File Toolbar. Here you can only adjust the size of the background below and to the right of your objects. The function in the File Toolbar adjusts the background on all four sides by first moving all objects to the left and top margins, which is not possible here.

Background Color:
 | Displays the color selection pallette so that you can change the standard background color from white to another color, as shown in the example on the left. This can be useful to insert screenshots in help files with colored windows, so that they blend in to the background.
Background Image:
 | If you select this option you can click on Load to load a bitmap file to be used as a background image. If the bitmap is smaller than the background it will be tiled (i.e. repeated to fill the entire image), so you can use this function to add a background pattern as shown on the left.

Tip:
You can "protect" your main screenshot or graphic image against accidental editing changes by loading it as the background. Just set the background size to exactly the same height and width as the image, then load the background. This makes it impossible to add any direct effects to the image itself however [image] for example, you can no longer add a drop shadow.


Edit Menu
Return to Introduction

Icon | Menu Item | Shortcut | Function
 | Undo... | Ctrl+Z | Reverses your last editing action in Impict. Multiple undo is supported [image] just select repeatedly.
 | Cut... | Ctrl+X | Deletes the current selection and copies it to the Windows clipboard. Impict objects are copied intelligently [image] they will paste as objects in Impict and as bitmaps in other programs.
 | Copy | Ctrl+C | Copies the current selection to the Windows clipboard. Impict objects are copied intelligently [image] they will paste as objects in Impict and as bitmaps in other programs.
 | Paste | Ctrl+V | Pastes the contents of the clipboard to the current Impict image as a new object. If an object is selected it will be overwritten after a prompt for confirmation.
 | Paste New Image |  | Pastes the contents of the clipboard to Impict in a new image window.
 | Delete | Del | Deletes the current selection. This can be reversed with Undo... (see above).


Object Menu
Return to Introduction

Menu Item
Shortcut
Function
Edit Properties...
Ctrl+E
Opens the properties dialog for the currently selected object. The dialog opened depends on the type of object selected. Double-clicking on the object has the same effect for most objects.
Rename...

Opens a simple dialog in which you can change the name of the current object in the Object List. You can also open this dialog by double-clicking on an object's name in the Object List.
Visible

Shows or hides the selected object. Hidden objects cannot be selected with the mouse. To reselect an object click on its name in the Object List. Clicking on the eye icons in the Object List has the same effect as Visible.
Locked

Locks the selected object so that it cannot be moved or changed with the mouse. The object remains visible. Use to protect objects that you want to see from accidental alteration. This function only disables mouse editing [image] you can still use tools, including the Size Tool, on locked objects.
Arrange
Bring to Front
Move Forwards
Move Backwards
Send to Back

Ctrl+F
Ctrl+B
A menu of items for repositioning objects in the layer stack of the Impict image. Front and Back move the selected object all the way to the front (top) and back (bottom) of the stack. Forwards and Backwards move the selected object one layer in either direction.
Anti-Aliasing
None
Quick
Smooth
Extra Smooth

Applies different degrees of anti-aliasing filtering to the current object to smooth the outlines of curves and diagonals. Works on text, callouts, lines and shapes containing curves and diagonals.
Flatten Objects...

Turns one or more selected objects into a single, simple bitmap image object.


Flatten Objects
Return to Introduction

This function turns one or more selected Impict objects of any type into a single image object.

Since each object is effectively a separate graphic on its own layer this makes your Impict files smaller: An image with six layers is really six separate images; if you combine objects so you only have two layers then you only need to save two images.

Click on the image for popup explanations of the tool controls.

Image size on your hard disk is not really all that important though: To begin with, the size of your Impict files does not affect the size the help files created with Help & Manual (why not?). Also, screenshot graphics are small and modern hard disks are huge.

What can you do with Flatten Objects?

There are several very useful applications for this function:

Combine two or more objects into a single object

Sometimes you want to "build" objects from other objects. For example, you might want to combine text objects with shape objects to label or number a picture. Once the text and the object are properly aligned you can select them both and then flatten them to create a single object that can be moved around without changing it.

Apply the "Image Properties" funtions to other objects

The Image Properties dialog contains many powerful filters and tools for changing the appearance of bitmap images. Normally, these tools can only be used on image objects. To be able to apply them to any objects you just need to convert the objects to bitmaps first with Flatten Objects.

Make dynamic lens objects static

Flatten Objects always turns the selected object into a simple static bitmap, and this is very useful for Lens objects. If you have experimented with Lens objects you will have noticed that anything placed in the Lens "target zone" appears inside the Lens object, and this often not what you want.

Also, you may want to change the source image that the lens shows without changing the image inside the lens. For example, you could make a lens object to highlight a screenshot detail and then make the screenshot semi-transparent to make the lens stand out. If the lens is dynamic this won't work because the contents of the lens will also become transparent. You can solve these problems by turning the lens into a static bitmap once it has the right contents.

Using Flatten Objects

1: Select one or more objects. To select multiple objects hold down the Shift key and click after selecting the first object. When multiple objects are selected the resize handles are yellow.
Tip:
To select multiple objects that cover one another select the bottom object first by clicking on its entry in the Object List, then hold down the Shift key and click on the object covering it.
2: Select Flatten Objects in the Object menu.

3: Choose your options in the dialog box displayed.

Flatten Objects dialog options:

Repaint on new background:
This creates an object on a new rectangular background with the color you choose with the Background color option (white by default).

Transparent background:
If the object is not rectangular this option will preserve the transparency of the area around it within its bounding frame. There are certain limitations to this as white is used as the 'key' color for the transparent background.

Paint Object Shadows:
Includes the drop shadow if the object has one.

Background color:
The color of the rectangular background of the new object.

Draw objects on current background:
This is like using the Copy Area tool. The resulting bitmap includes both the object itself and the background that was visible around it when you selected Flatten Objects.

Leave original objects in place:
When this is selected Flatten Objects makes a bitmap copy of the selected objects, leaving the original objects in place. This is good for experimenting because you can try again if you don't like the results. Or you can simply make the original objects invisible (click on their eye icons in the Object List) and keep them so that you can use them again later.


View, Window & Help Menus
Return to Introduction

View Menu

The options in this menu makes the selected Impict toolbars and tools visible or invisible.

Reset Defaults makes all tools and toolbars visible and returns (docks) any tools and toolbars you have moved outside (undocked) Impict to the main Impict window.

Window Menu

Contains functions for selecting and arranging your open editing windows showing your Impict images. Tile resizes and arranges all the open windows in a grid pattern, like floor tiles. Cascade arranges the open windows on top of one another in a diagonal row so that you can select them easily. A list of the currently open windows is displayed at the bottom of the menu for easy selection.

Help Menu

Contents displays this help file. Also available in the Help Toolbar and by pressing F1 and SHIFT + F1 (context-sensitive).

What's This? changes the mouse pointer to a context-sensitive help tool. Just click on any Impict item with the tool to display brief help information. Also available in the Help Toolbar.

About... displays the standard copyright information.


File Toolbar
Return to Introduction

Toolbar contents:

The File Toolbar contains the functions for opening, saving and printing images and changing the zoom (magnification) factor of the image you are working on.

Toolbar:

Click on the objects in the toolbar to display information.


Edit Toolbar
Return to Introduction

Toolbar contents:

The Edit toolbar includes tools for cutting, copying and pasting objects. It also contains icons for Impict's undo and screen capture functions.

Toolbar:

Click on the objects in the toolbar to display information.


Arrange Toolbar
Return to Introduction

Toolbar contents:

The Arrange toolbar includes functions for moving objects forwards and back in Impict's stack of layers, so that they are on top of or beneath the other objects. It also includes functions for flipping image objects horizontally and vertically.

Toolbar:

Click on the objects in the toolbar to display information.


Objects Toolbar
Return to Introduction

Toolbar contents:

The Objects toolbar contains all the tools for inserting new objects into your current image.

Toolbar:

Click on the objects in the toolbar to display the related help topics.

Tools:
Selection pointer | Switches off insert mode so that you can select objects.
Bitmap Image | Inserts an image object. You can insert BMP, JPEG, PNG, GIF, TIFF, and TGA images.
Text | Inserts a text object.
Callout | Inserts a callout object.
Button | Inserts a button object.
Shape/Rectangle | Inserts a rectangular shape object with sharp corners.
Shape/Rounded Rectangle | Inserts rectangular shape object with rounded corners.
Shape/Ellipse | Inserts an elliptical shape object.
Line/Arrow | Inserts a line or an arrow.
Cursor | Inserts a cursor or icon bitmap.
Dazzle | Inserts a dazzle object. A dazzle is a light highlight or "sparkle" that works best against a dark background.
Lens | Inserts a lens object. These are like magnifying lenses that show part of the background in original size or magnified.
Hotspot | Inserts a hotspot (an area with a link to a topic, popup or macro).
Copy Area | Copies the area you select with the mouse and inserts it as an image object on its own layer.


Help Toolbar
Return to Introduction

Toolbar contents:

The icons on the Help toolbar display context sensitive help and open the online help file.

Toolbar:

Click on the objects in the toolbar to display information.


Object List
Return to Introduction
About the Object List and Impict images

The Object List is like a navigator. It displays all objects in the image, including those that are currently invisible or hidden behind other objects, and allows you to select, rearrange and rename them.

Every Impict image consists of one or more visible objects in a "stack" of layers, like pictures drawn on a stack of clear sheets of cellophane. Impict images can also contain any number of hotspots, which are interactive links to help file topics, popups or macros. Hotspots are also shown in the Object List, grouped in a single item that you can expand and collapse like a menu.

Object List functions

Selecting objects:
If you can't select an object directly because it is hidden behind another object or hidden you can always select it by clicking on its name in the Object List.

Hiding and showing objects:
You can make objects visible and invisible by clicking on the eye icon to the left of the object's name. Hidden objects are identified by a red X over the eye icon.

Renaming objects:
Objects are automatically given standard names when you insert them. For easier identification you can rename them by double-clicking on their entry in the Object List. Then just enter a new name in the dialog displayed.

Rearranging objects:
You can rearrange the positions of objects in the layer stack by dragging their entries up and down the Object List with the mouse. This changes the way objects overlap and cover one another.


Size Tool
Return to Introduction

The Size tool lets you modify the position and the size of an object within the Impict image. Some objects (for example cursor images) are not sizeable, so the Width and Height edit boxes may be disabled.

If an object is locked (select the image then select Locked in the Object menu) you cannot resize or move it with the mouse. Left, Top, Width and Height still work on locked images, however.
Click on the image for popup explanations of the tool controls.

Note:
The drawing mode (Stretch / Autosize / Tile) only applies for bitmap image objects.


Shape Tool
Return to Introduction

The Shape tool sets or modifies the shapes of a number of different Impict objects.

You can use it on lens, shape and image objects, including image objects created with Copy Area.

Click on the image for popup explanations of the tool controls.

When you insert an image or a lens object it is always rectangular by default. You can change that with the Shape tool, to make the object more interesting, informative or attractive.

Select a shape style from the drop-down list to apply it.

Shape outlines / borders:
· Width
If this value is greater than 0 the shape has an outline (border) with the width of the value in pixels.
· Color
The color defines the color of the outline.

Shape tool styles:
· Rectangle (default)
A simple rectangle with sharp corners. Height and width are variable independently.
· Square
A simple square with sharp corners. Height and width are variable but they are always the same.
· Rounded rectangle
A simple rectangle with rounded corners. Height and width are variable independently.
· Rounded square
A simple square with rounded corners. Height and width are variable but they are always the same.
· Ellipse
An elliptical figure. Height and width are variable independently.
· Circle
A circle. Height and width are variable but they are always the same.

Inverted shape tool styles:

· Inverted rounded rectangle

· Inverted rounded square
· Inverted ellipse
· Inverted circle

These variants have the same properties as their counterparts above but they are inverted, with the enclosed area transparent and the rest of the area opaque. They can be used to create interesting effects, such as vignettes.

Note:
There are no inverted squares or rectangles because these would simply be completely transparent figures, which would be invisible.

Examples of a screenshot object with various shapes applied:

The original object | Ellipse shape with outline applied
Inverted ellipse shape applied | Rounded square shape applied

Custom shapes

The last option in the drop-down list is Custom Shape, which allows you to manipulate the shape of your object by applying transparency masks. These masks can be used to create interesting effects with torn paper edges, geometric shapes and patterns.

Click on the Mask Editor button to display the options and tools for custom shapes and transparency masks.


Mask Editor
Return to Introduction

The Mask Editor in the Shape Tool can be used to apply transparency masks to your objects for special effects. In the example below an image object showing an innocent parrot has been given a torn paper edge effect by applying a transparency mask that hides the edges of the original picture.

Click on the image for popup explanations of the tool controls.

How to use the Mask Editor

1: Select the shape or image object you want to transform.

2: Select Custom Shape in the Shape Tool (it is the last entry in the drop-down list). Some parts of the object may become transparent because the tool automatically defines the color of the bottom left pixel in the image as the transparent color. Don't worry if this isn't what you want, you will change this now.

3: Click the Mask Editor button in the Shape Tool to open the mask editor dialog shown above.

Mask Editor modes

The Mask Editor has three different modes, Automatic, Shapes and Patterns, which are selected with the three radio buttons at the top of the dialog.

Automatic:
This is the default mode when you select the editor. It sets the bottom left pixel of the object to the transparent color so that everything in the image that has that color is transparent. You can use this to add extracted images like the one shown on the right. Here the background (including the bottom left pixel) was set to a color not found in the picture.

You can manipulate this by editing the image with a graphics program and setting the bottom left pixel to the color you want to use as your transparency color.

You will notice that this is another parrot. Why? Parrots are nice birds. They're intelligent, pretty and have a sense of humor.

Shapes:
Selecting this button displays the list of shape masks shown in the example above. Just click on a mask to apply it. The results are shown immediately in the preview window. Everything that is black in the mask becomes transparent in the selected object. You can view the shape of the selected mask in the Mask tab.

Patterns:
This allows you to create rasterized and tiled effects by applying tiled transparency patterns to your objects. On the right you can see just two examples of what you could do to our poor parrot from the first example with transparency patterns.

Tip: You can go further with this effect by tiling or stretching the original image to use it as a background for the pattern. Just select Tile or Stretch in the Size Tool and enlarge the dimensions of the object frame as required.


Transparency Tool
Return to Introduction

The Transparency Tool enables you to make Impict objects transparent in different ways, so that you can see through them the objects beneath them are partly or wholly visible.

It works on all Impict objects, including text objects. There is only one exception: Hotspot objects, which are invisible anyway.

Click on the image for popup explanations of the tool controls.

How transparency works

Impict actually has two transparency tools [image] this tool and the Shape Tool, with which you can apply transparency masks to change and manipulate the visible shape of your objects.

The difference is that the Shape Tool always makes the masked areas completely transparent; they are either completely visible or completely invisible. The Transparency Tool can make an object partly transparent. It is possible to combine both of these effects. For example:

No transparency:

In this screenshot showing an enlarged image of a detail all the objects have no transparency. They are completely opaque.

Shape Tool transparency mask:

Here a transparency mask has been applied to the background image with the Shape Tool

Shape Tool mask plus Transparency Tool effect:

Here we have added partial transparency with the Transparency Tool (the white background shines through) so that the enlarged object stands out and attracts the user's attention.

Drop shadows and transparency:

If you apply transparency to an object with a drop shadow it will usually look grey and muddy. This is because the shadow extends beneath the entire object, so the transparency reveals the shadow. Here's the solution to this problem:

· Apply the transparency to the object without a shadow.

· Flatten the transparent object to turn it into an opaque, light grey bitmap.

· Now you can apply the drop shadow without muddying the object.

Transparency Styles
· None
The object is opaque.
· Flat
Applies an even transparency with the same value across the entire object area. Use the Min slider control to adjust the transparency level.
· Linear
Applies a linear transparency gradient, changing gradually from transparent to opaque across the object. Turn the Direction dial to change the direction of the gradient.
· Circular
Applies a circular gradient transparency. Modify with the Min, Offset and Max controls. These are easier to learn than to describe.
· Shape Dither
Makes a special masked transparency with "soft edges" using the shape mask selected with the Shape Tool. The Min and the Max slider controls adjust the degree of the effect.


Fill Tool
Return to Introduction

The Fill Tool works with Shape objects. It defines whether the object is transparent or filled and the color of the fill.

Click on the image for popup explanations of the tool controls.

Fill Style: Filled or Clear. If you select Clear the object will be completely invisible unless you define an outline with the Shape Tool. | A circle shape object with an outline and clear fill
Fill Color: Determines the fill color. You can choose a standard color or define your own color with the Windows color pallette control (select Other in the popup dialog to display). | A circle shape object with no outline, filled with yellow


Shadow Tool
Return to Introduction

The Shadow Tool adds drop shadows to your objects, like the shadow in the screenshot on the left. It can be applied to all Impict objects except Dazzle and Hotspot objects.

Screenshots with drop shadows generally look much better and more professional. Shadows are also very useful for making objects stand out against their background.

Click on the image for popup explanations of the tool controls.

Shadow Tool controls

It's best to choose your shadow settings at the beginning of a project and then not change them again. If some objects have different shadow settings your project will not look so harmonious.

Shadow Style:

· No Shadow
· Drop Shadow

These are currently the only two shadow styles [image] we may add more in the future...
Color:
Should normally be black unless you want to create a special colorful effect. Shadows are generally semi-transparent so the effect will look darker or lighter depending on the background.
Intensity:
This controls how dark the shadow is. Effectively, this makes the shadow more or less transparent.
Offset:

This adjusts the distance offset between the shadow and the object. A larger offset makes the object look further away from the background. Don't overdo this, however, or it will look unrealistic.
Direction dial:

This changes the direction of the shadow, i.e. the direction from which the "light" casting the shadow comes.
Dithering:
This adjusts the "softness" of the shadow.


Screen Capture

Screen Capture Utility
Return to Introduction

About Impict's integrated capture tool

Impict's integrated screen capture utility performs simple, rectangular screen captures, without any of the additional graphical functions provided by the capture tool in Help & Manual or the external [image] T.N.T. capture tool.

It can also insert your new screenshot directly into your current Impict image as a new object.

These capabilities make it useful for making and working on screenshots while working in Impict, when you are planning to add all your effects with Impict.

Using the capture tool

Click on [image] to start the capture tool:

Click on the image for popup explanations of the tool controls.

Select your
capture mode:
· Window /control
· Free region
· Fixed-size region
These are the same modes found in the H&M and T.N.T. screen capture tools. See their help for details.

Select your insert mode:

If you leave Insert screenshot as a new image unchecked the screenshot will be inserted into the active Impict image as a new object. Otherwise it will be inserted into Impict as a new image in its own window.

Screenshot tips:

Create simple screenshots:
If you are planning to edit your images in Impict it's best to make simple, full-scale screenshots using this integrated utility, without any of the drop shadows or other effects that you can add automatically with the Help & Manual and [image] T.N.T. screen capture utilities. This will give you a "clean" basis that you can always return to later. You may want to save unedited copies of all your screenshots in a separate folder as backups.

Fixed-size regions are your friends!
Sometimes it's not possible to "get" the complex object you want with the Window/control option. If you're creating several images of similar items, like buttons in their surroundings, it's a good idea to use fixed-size regions [image] then all the objects will have exactly the same dimensions. This will save lots of editing and hair-tearing later!

Choose the right file format for your purpose:
Don't save your screenshots in the JPEG format if you plan to edit them. JPEG uses "lossy" compression, which throws away some data to save space. What's worse, JPEG images get recompressed when you save them, and you lose more data every time.

If you're creating screenshots for use in Help & Manual it's best to use BMP or Impict's own IPP format. Although Help & Manual provides direct support for JPEG and PNG images as of version 3.3 you obtain no real benefit by using them as source files in your Help & Manual projects. BMP and IPP are automatically converted to the appropriate compressed formats at compile time [image] click here for more details [image] but JPEG and PNG files are left as they are and are not recompressed. This means that if you use BMP and IPP you can adjust the compression of all the graphics in your project with the Image Conversion settings in Help & Manual; this is not possible with JPEG and PNG files.

The bottom line is that IPP is the only format that keeps all your objects separate after you save them so that you can re-edit them individually when you re-open the file. This can save you a lot of work if you ever need to change your images!


Image Objects
Return to Introduction

Description:

Image objects are bitmap images [image] for example, your screenshots are always image objects, and so almost all your Impict projects will contain at least one image object.

You can insert image objects both from files, using the Image Object tool in the Objects Toolbar, and by pasting from the clipboard.

Just like all Impict objects, image objects are automatically stored in their own layer in your Impict image, where they can be edited and manipulated without affecting the other images.

What to use it for:

Image objects are used for adding bitmap images to your Impict projects. These will usually be screenshots, but you can also use them to add graphics, cartoons, graphical elements and so on.

Objects Toolbar tool:

More information:

· Image Object Properties Dialog

· Adding Bitmaps


Properties

Image Object Properties
Return to Introduction

The Image Properties dialog contains a large number of settings and filters with which you can manipulate the size and appearance of Image objects.

Tip: Normally you can only use these features on Image objects. To apply them to other objects just convert the objects to bitmaps first with the Flatten Objects command in the Object menu.

How to open the Image Properties Dialog

Using the Image Properties dialog:

All the transformations are performed inside the Object Properties dialog. Select the transformation you want to apply in the Functions list. The controls for the selected function are then displayed on the right.

The results of the selected transformation are displayed immediately in the Preview area on the left. To see more detail select the "Full-size preview" option below the preview area.

Experiment!
Nothing is changed in the original image until you click on OK. If you don't like an effect, just click on Cancel to abort the dialog. You can try as many different alternatives as you like in the preview window. Every time you select a new alternative the preview is generated from the original image, not from the preview with the previous effect applied.

Available effects:

· Quality Resize
· Color Adjustment
· Flip
· Rotate
· Bitmap Effects

You can only apply one effect at a time:
To apply more than one effect close the dialog and reopen it. For example, to resize the image and change the colors first resize the image, then close the dialog box with OK, then open the dialog again and adjust the colors.


Quality Resize
Return to Introduction

This function uses high-quality mathematical filters to resize Image objects. When you resize an object with the mouse or by entering new values for Width and Height in the Size Tool Impict just does a quick transformation, effectively doing little more than multiplying neighboring image pixels. Quality Resize is the tool you want to use when you want really good results.

Controls:

Width & Height:
Enter values here to increase or decrease the size of the Image object. Width and height are normally interlocked so that their relationship (aspect ratio) remains the same. Deselect the lock icon on the right to change width and height separately.

Resample image:
When this is checked the chosen Filter is used to resize the entire image. If it is not checked Impict will simply crop the image to the selected dimensions, measured from the top left corner.

Filter:
This is the list of available resizing filters. It would be possible to write a great deal about the formulas behind the names but this wouldn't help you all that much. All you really need to know is that the default Lanczos3 filter generally provides the best results for most images. Sometimes, however, one of the other filters will perform slightly better for some images.

Testing different filters:

Testing the results of the different filters is so quick and easy that you can do it for every image to make sure that you are getting the optimum results:

1: Select Full size preview below the preview window on the left.

2: Select the filters in the list one after another. Every time you select a different filter its results are calculated from the original image, not the filtered preview.

If necessary deselect and reselect Full size preview to refresh the preview image.

Tip: Touching up with bitmap effects:

You can often improve the appearance of resized images by sharpening or blurring them slightly or the judicious application of other image filters. Check out the image filters available in Impict's Bitmap Effects.

See also:
· The Image Properties Dialog
· Bitmap Effects


Color Adjustments
Return to Introduction

This function enables you to adjust the colors, contrast and brightness of the image object. You will normally only need these controls for making photographs look better, but sometimes you will find that you can also use them to fine-tune the appearance of screenshots [image] particularly screenshots that you have resized.

Controls: |
Contrast: Adjusts the contrast range, from very flat to monochromatic. Lightness: Makes the image brighter or darker. Addition: This adjusts the levels of the color channels in the image. Similar to saturation but also increases the overall brightness. |
Gamma: This is actually a very complex control, In simple terms it adjusts the midtones of the image to compensate for the non-linearity of display devices and human perception. If a digital image looks "flat" try adjusting the gamma first. Saturation: This adjusts the overall color intensity without making the image brighter. | Lock: This control locks the Red Green and Blue slider controls together so that you can adjust them all at the same time (default setting). Deselect it to adjust colors individually. Reset: Resets all the settings in the screen to the standard values, allowing you to start again from scratch.

See also:
The Image Properties Dialog


Flip Image
Return to Introduction

This function simply flips the image horizontally and/or vertically.

Tip: Icons for horizontal and vertical flip are also available in the Arrange Toolbar.

Invert Colors:
This option creates a negative of the image.

See also:
The Image Properties Dialog


Rotate Image
Return to Introduction

Rotates the image through a specific angle, either in increments of 45° (this is like vertical and horizontal flip) or by single degrees using the Angle dial.

Controls:

0° / 90° / 180° / 270°:
Rotates the image in fixed, 45° steps.

Angle dial:
Rotates the image smoothly in 1° increments. Just turn the dial with the mouse. The results are displayed in the preview window. Deselect and reselect Full size preview after changing the angle to refresh the preview window.

Antialias:
Applies anti-aliasing to smooth the edges of the rotated image. Only used for rotation with the Angle dial.

Autosize:
Automatically resizes the frame around the image to fit. If you don't select this the portions that project outside the original frame will be clipped. Only used for rotation with the Angle dial.

Tip: Select the [image] background autosize tool in the File Toolbar after resizing the image. This will adjust the background to the new dimensions of the image.

See also:
· The Image Properties Dialog


Bitmap Effects
Return to Introduction

If you have ever used a graphics editing program you will probably be familiar with the kind of image filters provided by Impict's bitmap effects. Most of them are "fun" effects that you will normally use to modify the appearance of photographs. However, in certain circumstances they can also be used for more serious purposes when you are working on help files.

For example, the Sharpen and Blur filters can often improve the appearance or legibility of resized images. If you are careful, you can sometimes also improve the legibility of resized screenshots with the Emboss filter [image] to make the individual user interface elements stand out better.

Controls:

All the bitmap effects have the same controls. Since their effects are so different this may seem strange at first. The reason is that they all work in a similar way [image] they make overlaid copies of the original image with varying offsets, degrees of transparency and interpolated or blurred additional copies of the image between the first and last offset positions. The controls simply change these basic parameters.

Matrix
These five values change the degree and intensity of the various transformations and offsets used to achieve the effects. The effects of the individual values vary depending on the individual effect. If you experiment with the individual values for each effect you will quickly see what it does. Try using negative as well as positive values, you will often be surprised at the results.

Split
This generally increases or decreases the intensity of the effect. What it actually does is change the distance between the first and last offset copy of the original image used to achieve the effect.

Fill Split
Activating this "fills" the space between first and last offset copies with additional copies. In some effects the intermediate copies are also blurred to create a gradient effect.

Reset
This is your safety net for experiments. Clicking on Reset returns all the values to the defaults needed to achieve the "standard" effect.

Experiment!
The best way to find out what you can achieve with a filter is to play with the settings for a while. In all cases the name of the filter only applies to the basic default settings. You can always achieve very different, surprising and wild effects by varying the individual settings. If you don't like the results or get lost in your settings just click or Reset to return to the original values.

Descriptions of the effects:

· Blur
Blurs the image and "softens" it. This is done by painting the image semi-transparently over itself with a small offset. Increasing the Split intensifies the blur. Enabling Fill Split smooths it, producing an effect more like the Gaussian blur you may be familiar with from graphics programs.
· Motion Blur
Similar to blur but with an added motion effect [image] this could be applied to an image of a sports car, for example.
· Emboss
This filter locates edges (sharp transitions between colors and light and dark) in the image and emphasizes them, producing an effect like a 3-dimensional relief. Works best on clear, graphical images with sharp lines and good contrasts. Can sometimes improve the appearance of resized screenshots if you use a very low Split value.
· Sharpen
Intensifies the contrast of edge transitions in the image to make it look sharper. This can be used to sharpen photos and to improve the appearance of resized screenshots.
· Rainbow Emboss
As its name suggests this is similar to emboss but with an additional color distortion for a "rainbow" effect. Try Lumpy for a similar effect with less color distortion.
· Bleed Edges
This is similar to Rainbow Emboss but with an enhanced edge effect.
· Bevel Edges
Blurs the image and emphasizes edge transitions. This can create a 3-dimensional bevelled effect but it does not work well on all images. Try Find Edges for a similar effect without blurring.
· Wind
Quite similar to motion blur but as the name suggests the results will sometimes look more like wind on a motionless object. Try them both to see which works best on the image you are filtering.
· Old TV / Damaged TV
Creates a video pattern effect similar to the lines visible on old and malfunctioning TV sets. This can also be used to create an interesting screen effect on background images [image] try it as an alternative to partial transparency when you want to make foreground objects stand out. Try Stripes for a more extreme version of this effect.
· Lumpy
Similar to Rainbow Emboss but with less color distortion.
· Find Edges
Emphasizes edge transitions without blurring for a sharper, more defined effect than Bevel Edges.
· Stripes
Similar to the Old TV effect but more intense and extreme.

See also:
· The Image Properties Dialog


Shape Objects
Return to Introduction

Description:

Shape objects display a clear or filled shape. The three buttons in the Objects Toolbar are for convenience only. You can always change the style and size of a shape with the Shape Tool and Size Tool.

What to use it for:

Use filled shapes as backgrounds for other objects and texts. Use clear shapes to draw attention to screenshot elements by drawing a box or circle around them.

Objects Toolbar tools:

More information:

· Adding Shapes
· Adding Texts


Properties
Return to Introduction
Shape objects do not have their own properties dialog. To change the properties of a shape object select the Shape Tool.


Text Objects
Return to Introduction

Description:

Text objects are editable texts that can be positioned anywhere in your Impict image. You can select font, style, weight, alignment, wrapping and margins, using all the fonts installed on your computer.

What to use it for:

Use to add texts, comments, descriptions, labels and so on. Combine with Shape Objects to create text boxes.

Objects Toolbar tool:

More information:

· Text Object Properties Dialog

· Adding Texts


Properties

Text Object Properties
Return to Introduction

The Text object properties dialog enables you to create, edit and modify Text objects, which you can use to add texts and comments to your images. You can also use text objects to "repair" texts in screenshots if you don't have access to the updated program to make new screenshots.

How to open the Text object properties dialog

Using the Text object properties dialog

Text:
Enter the text you want to display here.

Change Font:
Click here to change the font style, size and attributes. The new settings are displayed immediately in the text editing window.

Text Alignment:
Sets how the text is to be aligned within the object frame [image] right-aligned, left-aligned or centered.

Margin and offset settings:

These settings define a margin and/or an offset within the resizable frame around the text object. You can use these settings to improve the alignment of the text when you are placing it over a Shape object to create a text box.

Word Wrap:
When this is selected the text will automatically wrap to fit in the bounding frame of the text object [image] if this is possible. When it is not selected you must resize the frame manually to fit around the text.


Callout Objects
Return to Introduction

Description:

Callouts are like speech bubbles in cartoons and comics. They consist of a text bubble and a pointer, which makes it possible to use them to draw attention to and explain specific areas in your screenshots.

Impict callouts are fully formattable. You can choose the font, style, weight and alignment for the text and the color, fill shape and outline for the text bubble, along with the pointer length and direction.

What to use it for:

Callouts are an enormously flexible tool. You can use them to identify screen elements, to provide at-a-glance explanations, as labels (without pointers) and even as speech bubbles. You are sure to come up with lots of new uses yourself.

Objects Toolbar tool:

More information:

· Callout Object Properties Dialog

· Adding Callouts


Properties

Callout Object Properties
Return to Introduction

The Callout object properties dialog enables you to design and modify Callout objects, which you can use to identify items in your screenshots with cartoon-style text balloons with pointers.

How to open the Callout object properties dialog

Using the Callout object properties dialog

Shape:
Defines the shape of the callout. You can choose between Ellipse, Rectangle and Rounded Rectangle.

Fill Color:
Defines the background color with which the callout is filled. Use a color that stands out well against your screenshot.

Border Color and Width:
Color and width of the outline around the callout.

Pointer Size & Direction:
These settings define the length of the pointer and the direction in which it points. The length is also influenced to a certain degree by the Shape setting for the callout. After making these settings you must perform the fine adjustments by closing this dialog with OK and then adjusting the 8 resize handles around the callout. Experiment with all 8 handles, then you'll soon get the idea. Drag the slider control all the way to the left to make a callout with no pointer.

Text:
This is the editing field for entering the text to be displayed in the callout. If you enter a longer text you will probably have to resize the callout after clicking on OK so that it fits properly and looks attractive.

Font and Text Alignment:
These settings change the font size and typeface and set the alignment of the text within the callout. Centered is the default alignment and generally looks best.


Button Objects
Return to Introduction

Description:

Button objects allow you to quickly create standard Windows buttons in all standard states [image] default, pressed, disabled and combinations of the three. Hotkey underlining is also supported.

What to use it for:

Buttons are useful for "repairing" or updating screenshots when you don't have access to the program you need to make a new screenshot of the updated version.

Objects Toolbar tool:

More information:

· Button Object Properties Dialog

· Repairing Text and Buttons in Screenshots


Properties

Button Object Properties
Return to Introduction

The button object properties dialog provides access to the settings for Button Objects, which look like typical Windows buttons. You can use them to "repair" or update screenshots when you don't have access to the program you need to make a new screenshot.

How to open the Button objects properties dialog

Using the button object properties dialog

A preview of the resulting button is always shown in the window on the left. Button caption: This is the text displayed in the button. An ampersand (&) character underlines the following character for the standard "hotkey" effect. Enter two ampersands (&&) to use this character in the caption text. |
Font: The default font is 8-point MS Sans Serif, which is the standard Windows font for buttons. Remember that if you change this font your buttons will no longer look "standard". | Default / Pressed / Disabled: These options create images of buttons in the standard default (button is activated on ENTER), pressed and disabled (greyed) states. You can combine all three states.


Cursor Objects
Return to Introduction

Description:

Cursor objects cursor symbols or icons to your Impict images from cursor (.CUR) icon (.ICO) and animated icon (.ANI) files.

Animated icons are displayed without animation, showing only the first image in the animation sequence.

What to use it for:

You can gain a lot of flexibility by not including the mouse pointer/cursor in your original screenshots. If you add them later you can often use the same screenshot to illustrate different actions. Also, these objects can enable you to add cursors that are difficult or impossible to "catch" with screen capture programs.

Objects Toolbar tool:

More information:

· Adding Cursors and Dazzles


Properties
Return to Introduction
Cursor objects don't have their own properties dialog. Selecting Edit Properties for a cursor object simply opens the Windows file open dialog with which you can choose a different cursor file.


Line Objects
Return to Introduction

Description:

Line objects enable you to add lines and arrows to your Impict images.

What to use it for:

Use lines to connect objects or create graphical effects. Use arrows to point to and identify screen elements and as pointers for text boxes that are too large to format as Callouts.

Objects Toolbar tool:

More information:

· Line Object Properties Dialog

· Adding Lines and Arrows


Properties

Line Object Properties
Return to Introduction

The Line object properties dialog provides access to the settings for Line objects, which are used to add lines or arrows to your images.

How to open the Line object properties dialog

Using the Line object properties dialog

Width:
Sets the width of the line or arrow. If you want to soften diagonal lines with antialiasing (Object menu) it's best to make the line a little thicker, as antialiasing needs to "thin" the line a little to achieve its effect.

Color:
Defines the color of the line or arrow.

Direction dial:
This determines the basic orientation of the line and the direction of arrows.

Start & End Caps:
These lists enable you to choose start and end objects to make graphically attractive arrows. The size of the caps is influenced both by the cap chosen and the width of the line.

About the direction dial:
The direction dial is just a rough control. You can only use it to define the direction of an arrow and whether the line is vertical, horizontal or diagonal. Make all fine adjustments with the 8 size handles after creating the line object.


Dazzle Objects
Return to Introduction

Description:

A dazzle object adds a sparkle or highlight to an image. It looks like a starburst or the "lens flare" that you often see in highlights on photographs.

In addition to a set of standard dazzles Impict also allows you to insert your own dazzle masks from bitmap images.

Dazzles are usually white (you can change the color if you like) and generally look best against dark backgrounds.

What to use it for:

In addition to adding attractive highlights you can also use dazzles to focus user attention on something [image] for example you can insert a dazzle beneath the tip of a mouse pointer to indicate where the user should click.

Adding the dazzle this way gives you much more flexibility than including it automatically with the cursor when you make the screenshot with Help & Manual's integrated screen capture utility or [image] T.N.T.

Objects Toolbar tool:

More information:

· Dazzle Object Properties Dialog

· Adding Cursors and Dazzles


Properties

Dazzle Object Properties
Return to Introduction

The Dazzle object properties dialog provides access to the settings for Dazzle objects, which look like starbursts or highlights on shiny objects.

How to open the Dazzle object properties dialog

Using the Dazzle object properties dialog

A preview of the dazzle to be inserted is always shown in the window on the left.

Defaults:
This option shows the list of available dazzle objects. Just click on one of the objects in the list to choose it.

Fill color:
This is the color of the dazzle. It is white by default, which is generally most realistic and effective.

Custom:
This allows you to create and insert your own dazzle objects from an image made with a graphics program. It's best to use an image with at least 256 grayscales or colors with a black background and a soft transition between the black of the background and the white of the dazzle, otherwise the edges will look too sharp. If you use a color image Impict will convert it to grayscale automatically, defining transparency on the basis of the color densities. You'll find that it's a lot easier to get predictable results if you use grayscales.

Special Case [image] Black Dazzles:
If you try you'll notice that you can't select black as the dazzle color. For technical reasons it's not possible to define a dazzle with a color value of zero. If you want a black dazzle you can achieve this by defining "almost black" in the color pallette [image] for example Red 1, Green 1 Blue 1.


Lens Objects
Return to Introduction

Description:

Lens objects are like magnifying glasses. They show a 1:1 or magnified version of the image beneath them or in a target area defined in the lens object properties dialog.

What to use it for:

Lens objects are useful for highlighting and drawing attention to specific areas of your screenshots with an enlarged callout showing a detail of the original image.

You can also use the lens object tool to crop bitmaps and to copy areas of your bitmaps more precisely than you can with the Copy Area object tool.

Objects Toolbar tool:

More information:

· Lens Object Properties Dialog

· Adding Lens Objects

· Copying Image Areas

· Quality Resize with Lens Objects

· Cropping Images with Lens Objects


Properties

Lens Object Properties
Return to Introduction

The Lens object properties dialog enables you to design and modify Lens objects, which you can use to highlight areas of your screenshots. It creates an effect that looks like a magnifying glass being held over the image.

How to open the Lens object properties dialog

Using the Lens object properties dialog

Zoom:
Defines the magnification of the image displayed in the Lens object. You will normally need to enlarge and/or move the object after changing this parameter.

X-Origin / Y-Origin:
These settings defines the top left hand corner of the source area to be displayed in the Lens object, in pixels. How the settings are interpreted depend on whether absolute origin is selected or not (see below).

Origin is absolute:
If this is selected the X-Origin/Y-Origin values define an absolute location in the image and moving the lens will not change its contents. For example, if the origin values are X=0, Y=0 the image shown in the lens will always begin at the top left corner of the image beneath the lens.

If absolute origin is not selected the X-Origin/Y-Origin values define an offset from the top left corner of the Lens object. Positive values define offsets to the right and down, negative values up and to the left. For example, if you set X=100, Y=-50 then the Lens contents will show an area of the image whose top left corner begins 100 pixels to the right and 50 pixels down from the top left corner of the Lens object.

Tip:
The easiest way to use the Lens object is to leave absolute origin deselected first. Then, after moving and resizing the object until its contents look way you want, you can set absolute origin in the properties. After that you can move the lens to any position without changing its contents. If you want to make its contents permanent you can use Flatten Objects to convert it to a bitmap.


Copy Area
Return to Introduction

Description:

The Copy Area object tool quickly copies an area of the image directly below it, including any visible objects.

This is quick and simple but it may not be flexible enough for some purposes because it does not provide any facility for resizing the area copied. More accurate area copies can be made with the Lens Object tool.

What to use it for:

Use to make quick bitmap copies of an area of your image, which you can then edit using all the facilities provided by Impict.

Objects Toolbar tool:

More information:

· Copying Image Areas


Properties
Return to Introduction
The Copy Area object tool has no properties dialog of its own. A copy is made and inserted as a bitmap image object as soon as you drag and release a frame with the Copy Area tool.


Hotspots
Return to Introduction

Description:

The hotspot object enables you to add "active" areas that the user can click on in online help images. Hotspots can display a popup information window, link to another topic or execute a macro or a piece of JavaScript or other script code (in HTML and HTML Help).

Hotspots are saved with the image but not all image formats can save hotspots. In order to retain hotspots you must save your image either in the native Impict format (.IPP) or as a Segmented Hyper Graphic (.SHG). If you are working in Help & Manual you should only use the .IPP format for images with hotspots because this is the only format that supports all of the H&M features and facilities for hotspots.

Impict treats hotspots as "dummy" objects. They are listed in a separate section of the Object List and are always shown on top of all other objects in the layer stack. They are only visible at design time.

What to use it for:

Use to create interactive, clickable areas in your help file images.

Objects Toolbar tool:

More information:

· Hotspot Object Properties Dialog

· Adding Hotspots


Properties

Hotspot Properties
Return to Introduction

The hotspot object properties dialog enables you to define and modify Hotspots [image] active areas in images that can link to another topic, display a help popup or execute a WinHelp macro.

Always use the Impict .IPP format for images with hotspots!

You can only store hotspots in Impict's own .IPP format files or the standard WinHelp graphics .SHG format. Hotspots are simply discarded in all other file formats. You must use the .IPP format if you use the Alternative HTML Code option (see below for details) [image] this code is not saved in .SHG files or any other format.

Furthermore, hotspots in .SHG files do not work in dual-mode HTML Help files so we strongly recommend using .IPP files for all your Help & Manual projects, as they are generally much more flexible anyway. It's also worth mentioning that .IPP files containing hotspots are automatically converted to .SHG at compile time when you output to WinHelp (HLP), so you don't lose anything by standardizing to the .IPP file format.

How to open the Hotspot properties dialog

Using the Hotspot properties dialog

Hotspot Type:
Selects the type of hotspot, which can be Topic Link, Popup Link or Macro. See Adding Hotspots for more details on adding and managing hotspots.

Topic ID:
Only displayed for topic and popup links. This is the ID of the topic that you want to jump to or display when the user clicks on the popup. Click on the arrow to the right of the input field for a list of available IDs (see below for details).

Linking to anchors:
You can also link directly to anchors in topics; simply edit the Topic ID: field manually and add a # character and the ID of the anchor (found in the Topic Options tab in Help & Manual) in the field without any spaces, for example:

Topic ID: TbSize#aboutsizing

Look Up topic IDs from Help Project:
The drop-down reference list of available IDs in the Topic ID field is only displayed if at least one Help & Manual project is open. If only one project is open its path is displayed here automatically. If you have more than one project open (you must open a second instance of Help & Manual to do this) you can select the project whose topic IDs you want to list by clicking on the arrow to the right of this field.

WinHelp macros and alternative HTML code:

The WinHelp Macros and Alternative HTML Code fields are displayed when you select Macro as the Hotspot Type. Using these options requires experience and skills that cannot be covered in full detail here. Please refer to the Microsoft Help Workshop documentation for full information on WinHelp macros. Refer to literature on HTML programming and JavaScript for more information on using the Alternative HTML Code option.

WinHelp (.HLP) Macro:
Enter a WinHelp macro in this field. You can use all WinHelp macros in WinHelp projects and a restricted set in HTML Help and HTML. See the documentation of Microsoft Help Workshop for details on macros and syntax.
WinHelp macro examples:

· About()

· ExecFile(http://www.yoursite.com/info.htm)

If you use WinHelp macros that are not supported in HTML and HTML Help you should always enter Alternative HTML Code if you plan to output your project to HTML formats. If you are only outputting to HTML formats you can enter Alternative HTML Code only and leave the WinHelp Macro field blank.

Alternative HTML Code:
This field allows you to define the code that gets inserted between the quotes after HREF= in the link tag for browser-based HTML and HTML Help output. You can enter a simple URL to open a HTML page or a code block containing JavaScript or other script elements.
Alternative HTML Code examples:

· javascript:alert('Hello World!');

· javascript:window.open('http://www.ec-
software.com/helphtml/index.html?whatsnew.htm',
'PopupWindow','toolbar=0,location=0,directories=0,
status=0,menubar=0,resizable=yes,scrollbars=1,
width=600,height=600,left=0,top=0');

Remember that JavaScript is very picky about syntax and case! For example, if you enter javascript:Alert instead of javascript:alert in the above example you will just get an error message.

You can also use this facility to reference functions and code in external JavaScript files. To do this you must add an include to the window template in Help & Manual and manually copy the referenced JavaScript file to the directory where all your HTML files are stored.


Mouse Functions
Return to Introduction

Function | Effect
Left Click: | Selects a single object if the mouse pointer is over an object. If there is no object beneath the mouse pointer, the current selection will be removed. Once an object is selected, you can resize it by dragging the 8 resize handles with the mouse. Deselect all: To deselect all objects enlarge the image editing window and click outside the image area in the grey/white checker pattern.
SHIFT + Left Click: | Selects multiple objects so that you can move them together or flatten them to turn them into a single bitmap image object. You cannot resize selected groups of objects together.
Right Click: | Displays a popup context menu for the object clicked on.
Double-Click: | Selects the object clicked on and displays its properties dialog if available. Keyboard equivalent: Ctrl+E


Keyboard Shortcuts
Return to Introduction
General Shortcuts:
NEW Ctrl+N | Create a new Impict image. Opens the image Background Properties dialog.
OPEN Ctrl+O | Opens an existing Impict image or any other supported image file for editing.
SAVE Ctrl+S | Saves the current image using the existing name and file format. If the image has not yet been saved you will be prompted to choose a filename.
PRINT Ctrl+P | Prints the current image. Opens a dialog where you can select print options.
COPY Ctrl+C | Copies the selected object(s) to the Windows clipboard. Works on groups of objects. If you paste in other programs Impict objects are automatically inserted as bitmaps.
Editing Shortcuts:
CUT Ctrl+X | Copies the selected object(s) to the Windows clipboard and then deletes the original objects. Works on groups of objects.
PASTE Ctrl+V | Pastes the contents of the clipboard to the current image as a new object. If an object is selected it will be overwritten after a prompt for confirmation.
DELETE Del | Deletes the selected object(s).
UNDO Ctrl+Z | Reverses the last editing action. Multiple undo is supported [image] just press Ctrl+Z repeatedly.
PROPERTIES Ctrl+E | Displays the properties dialog for the selected object if available.
Help Shortcuts:
HELP F1 | Displays this online help file.
WHAT'S THIS? SHIFT + F1 | Turns the mouse cursor into a context-sensitive help tool. Click on an item to display context-sensitive help for it.
Moving and Resizing:
CURSOR KEYS | Moves the currently selected object(s) in 1-pixel steps. Hold down to move faster. The current position is shown in the Size Tool. Use for precise positioning.
SHIFT + CURSOR KEYS | Resizes the currently selected object in 1-pixel steps. Not available for multiple objects. Hold down to resize faster. The current dimensions are shown in the Size Tool. Use for precise resizing.


AntiAlias

 Anti-Aliasing
Anti-aliasing is a special kind of filter that makes
some of the edge pixels of objects grey or semi-
transparent. This smoothes the "jaggy" effect of
curves and diagonals, making them look more
natural and less digital. Impict's anti-aliasing filter
has four different intensities and styles.

Experiment -- the effects vary on different sizes and
types of objects.

Anti-aliasing makes lines thinner. You may have to
thicken you lines for a pleasing effect.


BeforeAfter

 Making a split shot showing two images:

1: Make your "A" and "B" bitmaps. Ideally they should be exactly the same size. You can also make a copy of a bitmap in Impict with Copy and Paste in the Edit menu, or with Ctrl+C and Ctrl+V.

2: Arrange the bitmaps on top of each other in Impict. You can import the second bitmap if necessary.

3: Select the top bitmap and then select Custom in the Shape Tool. Open the Shape Tool's Mask Editor, select Shapes and select a shape that will mask off half of the image the way you want.

4: Select the top image and apply a drop shadow. Then select the bottom image and apply a drop shadow -- this will set the images off from one another nicely.

5: Use Auto-Adjust Canvas to resize the canvas to match your finished image.


BtnAutoAdjust

 Auto Adjust Canvas
Adjusts the size of the image background
(the canvas) to fit the objects it contains.


BtnBGColor

 Background Color
Color of the new background
rectangle for the new bitmap.


BtnBringFront

 Bring to front
Puts the selected object in front
of (on top of) all other objects.


BtnBrushEndColor

 Item
Yet not used!


BtnBrushStartColor

 Fill Color
Determines the fill color
of a shape object.


BtnButton

 Insert Button
Switches the mouse to insert mode and inserts a
button object at the position where you click.


BtnCaptionFont

 Font
Select the font for the button caption. The default,
MS Sans Serif, is the standard Windows font for
button texts.


BtnColor

 Color
Specifies the fill color of the dazzle
object. This is usually white.


BtnCopy

 Copy
Copies the selected object(s)
to the clipboard.


BtnCopyArea

 Insert Copy Area
Switches the mouse to insert mode and inserts a
bitmap copy of the area you select with the mouse.
(Hold down left button and drag to select area.)


BtnCursor

 Insert Cursor
Switches the mouse to insert mode and inserts a
cursor object at the position where you click.


BtnCut

 Cut
Copies the selected object(s) to the
clipboard and then deletes it/them.


BtnDazzle

 Insert Dazzle
Switches the mouse to insert mode and inserts a dazzle
object (highlight) at the position where you click.


BtnEllipse

 Insert Ellipse
Switches the mouse to insert mode and inserts an
elliptical shape object at the position where you click.


BtnFlipHorz

 Flip Horizontal
Flips the selected image horizontally.
Only works with image objects.


BtnFlipVert

 Flip Vertical
Flips the selected object vertically.
Only works with image objects.


BtnHelpContents

 Help Contents
Opens the table of contents of the online help.


BtnHotspot

 Insert Hotspot
Switches the mouse to insert mode and inserts a
hotspot at the position where you click.


BtnImage

 Insert Image
Switches the mouse to insert mode and inserts
an image object at the position where you click.


BtnImageAutoadjust

 Auto Adjust
Automatically moves the right and bottom edges
of the background (canvas) to fit the edges of the
objects it contains.

Note:
This does not move the objects to the left and top
margins of the image. Use the Auto-Adjust button
in the File Toolbar to do this.


BtnImageBgColor

 Background Color
Sets the background (canvas) color of the image.
This is the color behind all objects your image
contains.

The background is normally white, but you might
want to set a different color to make screenshots
blend in to help windows with a colored background.
The images will then look "transparent", even though
they aren't.


BtnImageLoadPattern

 Load Background
Loads a bitmap image file to be displayed as
the background. If the loaded image is smaller
than the background it will be tiled automatically.


BtnLens

 Insert Lens
Switches the mouse to insert mode and inserts a
lens object at the position where you click.


BtnLine

 Item
Switches the mouse to insert mode and inserts a
line or arrow at the position where you click.


BtnLoadFromFile

 Load from File
Displays a file open dialog with which you can
load your own bitmap dazzle from a BMP file.
Grayscale images with a soft transition
between the black background and the white
dazzle look best.


BtnMoveBackward

 Move Backwards - Ctrl+B
Moves the selected object one level
back (down) in the image stack, so
that it is behind (below) the image
that was directly below of it.


BtnMoveForward

 Move Forward - Ctrl+F
Moves the selected object one level
forwards (up) in the image stack, so
that it is in front of (above) the image
that was directly on top of it.


BtnNew

 New
Creates a new Impict image.


BtnOpen

 Open
Opens an existing image. Click on the little
arrow next to this icon to display a list of
recently-opened images.


BtnPaste

 Paste
Pastes the clipboard contents into the image,
as an Impict object in its own layer.


BtnPointer

 Pointer
Switches the mouse mode from insert to selection
so that you can select objects in your image.


BtnPrint

 Print
Prints the selected image.


BtnRectangle

 Insert Rectangle
Switches the mouse to insert mode and inserts
a rectangular shape object with sharp corners at
the position where you click.


BtnRoundRect

 Insert Rounded Rectangle
Switches the mouse to insert mode and inserts a
rectangular shape object with rounded corners at
the position where you click.


BtnSave

 Save
Saves the selected image.


BtnScreenCapture

 Screen Capture
Starts the integrated screen
capture function.


BtnSendBack

 Send to Back
Sends the selected object to the
bottom of the layers stack, so that it
is behind (beneath) all other objects.


BtnShadowColor

 Shadow Color
Defines the color of the shadow. This should normally
be black. Note this is just the "base color" -- the actual
appearance of the shadow is determined by the intensity
(transparency) and the dithering (softness). A black
shadow is usually light grey.


BtnShapeColor

 Outline Color
Color of the shape's outline. If the
width is 0 the shape has no outline.


BtnShapeMask

 Mask Editor
Only active if Custom is selected in the drop-
down shape style list. Provides functions for
defining transparency masks to manipulate
the shape and transparency of your object.


BtnText

 Insert Text
Switches the mouse to insert mode and inserts a
text object at the position where you click.


BtnTextObjFont

 Change Font
Use to change the font and style of the Text
object text.

Note:
All lines of a Text object have the same font. You
cannot apply bold or a different font to a single
word or phrase, for example.


BtnUndo

 Undo
Reverses your last action. Select
repeatedly to undo several actions.


CbBrushStyle

 Fill Style
Determines wether a shape
object is filled or transparent.


CbButtonDefault

 Default
Creates a "default", highlighted button --
the type that is normally activated when
you press ENTER.


CbButtonDisabled

 Disabled
Creates a "disabled" (grayed) button.


CbButtonPressed

 Pressed
Creates a "pressed" button.


CbDrawStyle

 Drawing Mode
Determines how the selected object is drawn. Only
active for bitmap image objects.

Stretch
Allows you to resize the image by dragging the image
frame or entering new values for width and height

Autosize
Displays the image in its original size. You can always
correct a 'failed' resize operation by selecting this mode.

Tile
Repeats the image to create a background filling the bitmap
image object's surrounding frame. Changing the size of the
frame shows more or fewer 'copies' of the bitmap.


CbEffects

 Effects
You can apply a variety of bitmap transformations
and effects to enhance and modify your images:

Simple transformations:
Quality Resize -- Color Adjustment -- Flip -- Rotate

Image filters:
Blur -- Motion Blur -- Emboss -- Sharpen -- Wind
Rainbow Emboss -- Bleed Edges -- Bevel Edges
Old TV -- Damaged TV -- Lumpy -- Find Edges
Stripes


CbHLPLookupProjects

 Lookup topic IDs
If a help project is open in Help & Manual its path
is displayed here and all the IDs in the project are
displayed in the drop-down list in the Topic ID field.
If more than one project is open you can choose the
project whose IDs you want to display here.

Important:
The lookup function only works if a project is open in
Help & Manual.


CbHotspotType

 Hotspot Type
There are two basic hotspot types: Link hotspots,
which are simply ordinary links to a topic or a popup,
and macro hotspots, which execute a WinHelp macro
or a snippet of JavaScript code (in browser-based
HTML and HTML Help).

Enter WinHelp macros in the Macro field. Enter
JavaScript code in the Alternative HTML Code field.

JavaScript code is inserted between the quotes following
the HREF= entry in the link tag, so you can only use code
that works on its own in this position.


CbImageBgFillPattern

 Background Image
This option enables you to use a bitmap file to
create a tiled background pattern. Click on
Load... to select the file.

Tip:
You can protect a screenshot against accidental
changes by loading it as a background. You
must just make sure that it has exactly the same
dimensions as the background.


CbKeepOriginal

 Keep Original
Makes a bitmap copy, leaving
the original objects unchanged.


CbOriginsAbsolute

 Origin is absolute
Determines how the X and Y Origin values are interpreted.

When it is selected X and Y are coordinates in the image
beneath the lens, defining the top left corner of the area to
be shown in the lens.

When it is not selected X and Y define the offset from the
top left corner of the Lens. Positive values move the
image source position to the right and down relative to
the Lens, negative values move it to the left and up.


CbPaintShadow

 Include Shadow
Includes any objects shadows
in the resulting bitmap.


CbPaintShape

 Transparent Background
Draws the bitmap with a transparent background
for the areas between the original object and its
bounding frame.


CbPreviewFullSize

 Full size preview
Displays the preview image in full size.

Tip:
Deselect and reselect to refresh the
preview image.


CbShadowStyle

 Shadow Style
Determines whether the object
has a shadow or not.


CbShapeType

 Shape Type
Determines the type of the shape. The default is a
rectangle. Choose Custom to define a custom shape.


CbTextObjAlignment

 Alignment
Specifies the alignment of the text.
Text can be right or left aligned or
centered.

Note:
All lines of a text object have the same
alignment. You cannot apply different
alignments to different sections of text.


CbTextObjWordWrap

 Word wrap
Automatically wraps the text to fit inside the bounding
frame of the Text object, if this is possible.


CbTransparencyStyle

 Transparency Style
Selects the style of the object transparency.

None The object is opaque

Flat Applies an even transparency with the
same value across the entire object area.
Use the Min slider control to adjust the
transparency level.

Linear Applies a linear transparency gradient,
changing gradually from transparent to
opaque across the object. Turn the control
dial to change the direction of the gradient.

Circular Applies a circular gradient transparency.
Modify with the Min, Offset and Max controls.

Shape Dither Makes a special transparency with "soft
edges" using the shape selected with the
Shape Tool. The Min and the Max slider
controls adjust the degree.


CbZoom

 Zoom
Changes the zoom magnification for the image
display. This does not resize the image itself.


CbZoom

 Zoom
Sets the magnification
factor of the Lens object.


Compression formats

 Image conversion and compression settings in
Help & Manual:

WinHelp:
WinHelp only understands bitmaps so this format
has no conversion settings. The images are
compressed automatically along with the help file
itself.

HTML Help & browser-based HTML:
The image conversion and compression settings
for these two formats are to be found in Project /
Project Properties / HTML Export Layout / Image
Conversion.


DemoPop

 Popups and Hotspot Links:

Add popups like this or hotspot links to your images.
You can also create hotspots that execute WinHelp
macros in both WinHelp and HTML Help files, or
hotspots that execute JavaScript or other scripts
in HTML Help and browser-based HTML.


DSO_BMPBits

 Bitmap Colors
Defines the color depth for bitmap (.BMP) files. Select a
value between monochrome (1 bit) and True Color (24
bits). Using fewer colors keeps your output files small.
Screenshots generally don't need more than 256 colors.


DSO_BMPCompression

 Bitmap Compression
Specifies the compression method. Only 16 and 256
color bitmap files can be saved with RLE compression.
Using compression only saves space on your hard disk,
however. Since the contents your help files are
compressed automatically when they are compiled using
RLE compression will make virtually no difference to the
size of your help file -- a few bytes at most.


DSO_GIFBits

 GIF Colors
Defines the color depth for GIF graphics. Select a value between 2 colors (1 bit) and 256 colors (8 bit). Many screenshots look fine with just 16 colors (4 bits)

Note:
The GIF graphic format cannot store more than 256 colors. This is fine for simple graphic images like screenshots but not so good for photographs and complex graphics. Also, compressed GIFs have potential royalty and licensing problems for commercial use. The newer PNG format is generally better because it supports True Color and does not have any patent issues.


DSO_GIFInterlaced

 GIF Interlaced
Defines whether or not the GIF graphic is saved in
interlaced format. On the Internet interlaced graphics
appear more quickly and look better while they are
appearing for users with slower modem connections.


DSO_GIFTransparent

 GIF Transparent Background
Defines whether or not the background color of the
GIF image is transparent, so that you can see the
graphics behind it through the clear parts of the
image.


DSO_JPGQuality

 JPEG Quality
JPEG compression is "lossy" -- the more you compress
the more data you lose. Better quality means bigger
image files, and vice-versa. Values between 50 and
95% generally produce good results.


DSO_PCXBits

 PCX Colors
Defines the color depth for PCX graphics. Select a
value between 16 colors (4-bit) and 256 colors (8-bit).


DSO_PCXCompression

 PCX Compression
Defines the compression method for PCX graphics.
Most programs that can read PCX expect compression
so it is advisable to select RLE compression for
maximum compatibility.


DSO_PNGBits

 PNG Colors
Defines the color depth for Public Network Graphics
(.PNG) images. Select a value between monochrome
(1 bit) and True Color (24 bit). Using fewer colors keeps
your output files small. Screenshots generally don't
need more than 256 colors.


DSO_PNGCompression

 PNG Compression
Defines the compression value from 0 (no compression)
to 9 (maximum compression). The compression rate
has a significant impact on the time required to save
and load PNG graphics. More compression = longer
saving and loading.


DSO_PNGFilter

 PNG Filter
Defines a PNG filter method. This can have a significant
impact on the size and encoding speed and a somewhat
smaller impact on the decoding speed of an image.


DSO_PNGInterlaced

 PNG Interlaced
Defines whether or not the PNG graphic is saved in
interlaced format. On the Internet interlaced graphics
appear more quickly and look better while they are
appearing for users with slower modem connections.


DSO_SHGBits

 SHG Colors
Defines the color depth for SHG graphics, which can
contain hotspots. Select a value between 16 colors
(4 bit) and True Color (24 bit). Using fewer colors keeps
your output files small. Screenshots generally don't
need more than 256 colors.


DSO_SHGHotspots

 Hotspots Visible
Activates or deactivates a visible rectangle
around the hotspot areas in SHG graphics.


DSO_TGACompression

 TGA Compression
Activates or deactivates the standard compression
method for the Targa TGA image.


DSO_TIFBits

 TIFF Colors
Specifies the color depth for TIFF images.


DSO_TIFCompression

 TIFF Compression
Specifies the compression method for TIFF images.
Not all graphics programs support all the compression
methods, and not all the methods are relevant for all
image types.

Fax compression methods:
CCITT1D, G3FAX1D, G3FAX2D and G4FAX are all methods
used for compressing black-and-white fax images. CCITT1D
is the simplest, oldest method. G3FAX1D and G3FAX2D are
newer and more efficient, providing better error recovery
over poor phone lines, with the 2D version being better than
the 1D version. G4FAX is the latest version, providing the best
compression for non-dithered black-and-white images.

Packbits:
This method is also for black-and-white TIFF images.
It is a simple, lossless method that does not produce
very high compression. Supported by most programs.

JPEG and old-style JPEG:
These are the only methods for color images in TIFF files
and they have all the advantages and disadvantages of
lossy JPEG compression. Not all programs support JPEG
for TIFF so if in doubt it's better not to use it.


DSO_TIFDocdescription

 TIFF Document Description
TIFF files support some text information fields that can
be read and displayed by some programs. This field
allows you to enter a document description for the
TIFF image.


DSO_TIFDocname

 TIFF Document Name
TIFF files support some text information fields that can
be read and displayed by some programs. This field
allows you to enter a document name for the TIFF image.


DSO_TIFPhotometric

 TIFF Photometrics
Specifies the photometric interpretation tag for TIFF
images. This is a complex subject [image] please refer
to the literature on the TIFF format to learn more
about it.


EdBounds

 Left, Top, Width and Height
These settings have different effects depending
on the drawing mode (Autosize / Stretch / Tile).

Left and Top
Define the position of the top left corner of the bitmap
object within the Impict image.

Width and Height
Define the size of the image object frame, which can
also be resized by dragging. Disabled in Autosize mode.
In Stretch mode changing Width and Height resizes the
image.


EdCaption

 Caption
Text for the button caption. To create "shortcut" captions
insert a "&" character before the character to be underlined.
Insert "&&" to use the & character itself.


EdHLPData

 WinHelp Macro String
This field is for entering the WinHelp macro to
be executed when the user clicks on the hotspot
link in the help file. You can also use WinHelp
macros in HTML Help -- Help & Manual will
convert them automatically.

Important:
If you use dual-mode help with HTML Help and
WinHelp popups you must use Impict's IPP file
format for graphics files with hotspots. The
Microsoft SHG format will not work with dual-
mode help!


EdHLPTopicID

 Topic ID
Specifies the alphanumeric ID of the target topic. If a
help project is open in Help & Manual you can display
the available IDs in the project by clicking on the arrow
icon to the right of the entry field. If more than one
project is open you can select the project to search in
the field below.

Important:
The lookup function only works if a project is open in
Help & Manual.


EdHTMLData

 HTML Data
This field allows you to enter a snippet of JavaScript
to be executed when the user clicks on the hotspot in
HTML and HTML Help files. The JavaScript is inserted
between the quotes after the HREF= item in the link
tag, so you can only use code that works in this position.

Important:
This option only works in Help & Manual projects. To use
it you must save your images in Impict's own IPP format.
HTML data is not saved in SHG files or any other graphics
format!


EdImageHeight

 Height
Sets the height of the image background (canvas)
without changing the size of the bitmaps and other
objects it contains. If the background is smaller than
the objects the parts that extend beyond the edges
will be hidden.


EdImageWidth

 Width
Sets the width of the image background (canvas)
without changing the size of the bitmaps and other
objects it contains. If the background is smaller than
the objects the parts that extend beyond the edges
will be hidden.


EdPICalloutBorderColor

 Border Color
Sets the color of the outline around the callout bubble.
Only used if the border width is greater than 0.


EdPICalloutBorderWidth

 Border Width
Defines the width of the outline around
the callout bubble in pixels. Enter 0 to
make a callout with no outline.


EdPICalloutFillColor

 Fill Color
Sets the background color
that fills the callout bubble.


EdPICalloutPointerDirection

 Pointer Direction
Adjusts the direction in which the callout
pointer points.

Adjust the pointer size with the slider to left
of this control.


EdPICalloutPointerSize

 Pointer Size
Sets the length of the callout pointer, which is a
percentage of the callout size. A small to medium
pointer will usually look best. To create a callout
without a pointer -- i.e. a simple text box -- just
move the slider all the way to the left.

Set the pointer direction with the dial to the right
of this control.


EdPICalloutShape

 Shape
Defines the shape of the callout. This can be an ellipse
(looks like a cartoon speech bubble) a rectangle with
sharp corners or a rounded rectangle.


EdPICalloutText

 Text
The text displayed in the callout.

Use Change Font and Text
Alignment to change the text
appearance.


EdPICalloutTextAlignment

 Text Alignment
Changes the alignment of the text displayed
in the callout. Centered is the default and
generally looks best.


EdPICalloutTextFont

 Change Font
Sets the font and size of the
text displayed in the callout.


EdPILineCaps

 Line Caps
Defines start and end objects for arrows. If you
choose none the object is a simple line. The size
of the caps depends both on the cap you choose
and the thickness of the line.


EdPILineColor

 Line Color
Color of the line or arrow.


EdPILineDirection

 Direction
Orientation of the line and direction for arrows. This
only defines the basic orientation as vertical,
horizontal or diagonal. Make all fine adjustments
with the 8 resize handles around the object


EdPILineWidth

 Line Width
Width of the line or arrow in pixels.


EdShapePenWidth

 Outline Width
Width of the shape's outline in pixels. A
value of 0 (default) means no outline.


EdTextObjLeftOffset

 Left Offset
Offsets the text from the left margin of the bounding
frame of the Text object by the number of pixels entered.
You can use this to adjust the position of text over a
Shape object when you are creating text boxes, for
example.

Note:
You can also enter negative values to move the text to
the left of the bounding frame.


EdTextObjMargins

 Margin
Enables you to set a margin (in pixels) between the
text and the bounding frame around the Text object.
Use to arrange text when you are placing it over
shapes to create a text box, for example.

Note:
This value sets the same margin on all four sides.
Use Left Offset and Top Offset to shift the text in
one direction only.


EdTextObjTopOffset

 Top Offset
Offsets the text from the top margin of the bounding
frame of the Text object by the number of pixels entered.
You can use this to adjust the position of text over a
Shape object when you are creating text boxes, for
example.

Note:
You can also enter negative values to move the text to
upwards past the border of the bounding frame.


EdXYOrigins

 X and Y Origin
These values define the relative or absolute position
of what is to be shown inside the Lens object.

Absolute origin not selected:
X and Y define the offset from the top left corner of the
Lens. Positive values move the image source position
to the right and down relative to the Lens, negative
values move it to the left and up.

Absolute origin selected:
X and Y are coordinates in the image below the Lens,
defining the top left corner of the area to be shown in
the Lens. When this is set the Lens always shows the
same contents, no matter where it is located.


FrmCaptureNew

 Insert as new image
When this is selected a new image will be created in
Impict for your screenshot. If you deselect it, the
screenshot will be inserted in the currently selected
image as a new object. This is useful for adding
components to images.


FrmCaptureRegion

 Capture modes:

A window or menu:
This is the default option. It automatically selects windows,
menus, popup menus, controls within windows etc. Just
move the mouse and watch the red frame. You can left-click
on items to change their selection status. Then use Ctrl+Click
to make the screenshot.

A free region:
Captures any rectangular region of the desktop. Drag with
the mouse to select the region, then release the mouse button
and left-click anywhere inside the selection to make the
screenshot.

A fixed region:
Captures an area of a specific size. Specify dimensions with the
Width and Height fields. Useful for creating multiple objects of
the same type that you can't select properly with the first option
(e.g. buttons and controls with surroundings).


FrmCaptureSound

 Sound ON / OFF
Enables or disables the
"camera click" sound.


FrmCaptureStart

 Start
Click the Start Capture button
to make a screen shot.


FrmPrintDlg

Print...
Return to Introduction

This dialog allows you to choose the orientation and scaling when you output your image to a printer. It also provides access to the Windows printer dialog so that you can select the printer you want to use and change its settings and properties.

Orientation:
Impict automatically sets landscape format if the image is wider than it is high, otherwise portrait is selected. You can change this if you want [image] if you select portrait for a landscape-format image and select Scale to page width (see below) it will use less of the page, for example.

Scale to Page Width:
This will resize the image to use the full available width of the page. It's a good idea to leave this selected if you have a modern, high-resolution printer, otherwise most screenshots will be printed smaller than postage stamps.

Print Original Size:
The name of this option is actually a little misleading [image] it does not print the size you see on the screen but rather the exact same number of pixels shown on the screen. Since most screens use around 72 pixels per inch and most printers use at least 300 pixels per inch this can result in very small images in your printouts.

Printer button
Lets you choose a different printer and change the Windows printer settings.


InfoPops

 Dummy topic.


IDH_APP_HMB

 What's This? button
Activates a temporary context-sensitive help mode, indicated by a mouse pointer
with a question mark. While this pointer is displayed you can click on any object
or menu entry in the program to display context-sensitive help information. The
help window displayed contains a brief description of the object clicked and how
to use it.

Note
Press ESC to cancel the context sensitive help mode.


IDH_APPLY_BTN

 Apply Button
Saves all changes you have made
without closing the dialog box.


IDH_CANCEL_BTN

 Cancel Button
Closes this dialog box without saving. Any
changes you have made will be discarded.


IDH_CLOSE

 Close
Closes the current window (surprise!).


IDH_DEFAULT

 No Help topic is associated with this item.


IDH_HELP_BTN

 Help
Displays a help topic with
information about this dialog.


IDH_OK_BTN

 OK Button
Applies changes you have made
and then closes this dialog box.


IDH_WHAT_IS_THIS_CMD

 What's This? (Help Menu)
Activates a temporary context-sensitive help mode, indicated by a mouse pointer
with a question mark. While this pointer is displayed you can click on any object
or menu entry in the program to display context-sensitive help information. The
help window displayed contains a brief description of the object clicked and how
to use it.

Note
Press ESC to cancel the context sensitive help mode.


IDH_WHAT_IS_THIS_POPUP

 What's This? command
Click What's This? to see help on the selected object.


LbDefaultDazzles

 Defaults
Displays the list of available
predefined dazzle objects.


LbPredefinedMasks

 Mask List
Click on an item in this list to select and apply
one of the predefined shape or pattern masks
to your object.


MacroList

 WinHelp Macros in HTML Help

Help & Manual converts the following WinHelp macros to HTML equivalents in HTML Help and browser-based HTML. The short forms and alternatives that are also supported are displayed after the macro name, separated by a slash.

Jumps to HTML topics within your project can be achieved by using the format topicID.htm. Please see the Microsoft Help Workshop documentation for full details on syntax and usage of WinHelp macros.

· JumpContents( ) / JC( ) / Contents:
Mapped to the topic you have defined as your "default topic".

· ExecFile(filename) / EF(filename):
This is translated into a URL link, email link or file shortcut, depending on the prefix and file extension (for example, http:// creates a URL, mailto: creates a mail link). No quotes are allowed and filename may not contain any path information of any kind, not even relative paths.

· JumpContext( ) / JC( ):
Translated into a jump to the referred topic ID.

· JumpID( ) / JI( ):
Translated into a simple topic link

· CloseWindow( ) / CW( ) / Exit:
Translated into a simple close command.

· TCard( ):
Translated into a HTML Help training card command.

· About:
Displays the HTML Help 'About' dialog box. This dialog only displays version information, without the copyright notice included in WinHelp.

· ALink( ) / AL( ):
Translated into a HTML Help A-Link command.

· KLink, KL:
Translated into a HTML Help K-Link command.


MainMenu

 Dummy item - see childs


MeTextObjLines

 Text
Editing field for entering and changing
the text shown in text objects.


MnuEditDelete

 Delete
Deletes the currently selected object.


MnuEditPasteNew

 Paste New Image
Pastes the clipboard contents as a
new image in its own window.


MnuFileClose

 Close
Closes the selected Image.


MnuFileExit

 Exit
Closes Impict.


MnuFilePageProperties

 Properties
Displays a dialog box in which you can view and change
general image properties, including the background
(canvas) size and the background color. You can also
select a tiled background image.


MnuFileReopen

 Reopen
Provides quick access to the last nine
images you have edited with Impict. The
same list is displayed when you click on
the little arrow symbol to the right of the
Open File icon in the toolbar.


MnuFileSaveAll

 Save All
Saves all open images, using the names
and locations already assigned to them.


MnuFileSaveAs

 Save As
Saves the selected image under a different file name
and/or in a different graphics format.


MnuHelpAbout

 About
Displays information about
the Impict application.


MnuObjectAntialias

 Antialias
Used to set the anti-aliasing (edge-smoothing) function
for the selected object. You can use this function on text,
shape, line and callout objects. It has no effect on bitmap
graphics.


MnuObjectEdit

 Edit Properties
Opens a dialog box to edit the properties
of the currently selected object. If nothing
happens it means the selected object
has no editable properties.


MnuObjectFlatten

 Flatten Objects
Combines the selected objects and converts them into
a single image object. Flattened objects occupy less disk
space and less memory in the IPP file but they cannot be
edited separately.

You can also use this function on single objects to turn
them into static bitmap image objects. For example,
flattening a lens object makes it static, so that it no longer
changes when there are changes in its target area.


MnuObjectLocked

 Locked
Locks or unlocks the selected object. Locked objects
cannot be moved or resized with the mouse. This
prevents accidental alteration. The Resize tool still
works on locked objects, however.


MnuObjectRename

 Rename
Changes the name of the selected object. This is the
name displayed in the Object List tool.


MnuObjectVisible

 Visible
Hides or shows the selected object. Use the Object
List tool to select invisible objects and to make them
visible again (click on the eye icon in the list).


MnuView

 View
The options in this menu display or hide
Impict's toolbars and tool windows.


MnuViewReset

 Reset Defaults
Resets the standard view status of all toolbars and tool
windows (visible and docked in the main Impict window).


MnuWindowCascade

 Cascade
"Cascades" all open image windows,
making them easier to select.


MnuWindowTile

 Tile
Tiles all the open image windows
within the main program window.


OpenButtonProps

 To open the Button object properties dialog:

1 Select a Button object.

2 Select Edit Properties in the Object menu, or
· Right-click on the object and select Edit Properties, or
· Double-click on the Button object, or
· Press Ctrl+E

The dialog also appears automatically when you create a new Button object.


OpenCalloutProps

 To open the Callout object properties dialog:

1 Select a Callout object.

2 Select Edit Properties in the Object menu, or
· Right-click on the object and select Edit Properties, or
· Double-click on the Callout object, or
· Press Ctrl+E

The dialog also appears automatically when you create a new Callout object.


OpenDazzleProps

 To open the Dazzle object properties dialog:

1 Select a Dazzle object.

2 Select Edit Properties in the Object menu, or
· Right-click on the object and select Edit Properties, or
· Double-click on the Dazzle object, or
· Press Ctrl+E

The dialog also appears automatically when you create a new Dazzle object.


OpenHotProps

 To open the Hotspot object properties dialog:

1 Select a Hotspot object.

2 Select Edit Properties in the Object menu, or
· Right-click on the object and select Edit Properties, or
· Double-click on the Hotspot object, or
· Press Ctrl+E

The dialog also appears automatically when you create a new Hotspot object.


OpenImageProps

 To open the Image Properties dialog:

1 Select an Image object. (This dialog is only available for bitmaps.)

2 Select Edit Properties in the Object menu, or
· Right-click on the object and select Edit Properties, or
· Double-click on the Image object, or
· Press Ctrl+E


OpenLensProps

 To open the Lens object properties dialog:

1 Select a Lens object.

2 Select Edit Properties in the Object menu, or
· Right-click on the object and select Edit Properties, or
· Double-click on the Lens object, or
· Press Ctrl+E

The dialog also appears automatically when you create a new Lens object.


OpenLineProps

 To open the Line object properties dialog:

1 Select a Line object.

2 Select Edit Properties in the Object menu, or
· Right-click on the object and select Edit Properties, or
· Double-click on the Line object, or
· Press Ctrl+E

The dialog also appears automatically when you create a new Line object.


OpenTextProps

 To open the Text object properties dialog:

1 Select a Text object.

2 Select Edit Properties in the Object menu, or
· Right-click on the object and select Edit Properties, or
· Double-click on the Text object, or
· Press Ctrl+E

The dialog also appears automatically when you create a new Text object.


PbPreview

 Preview
Shows a preview of the dazzle. Note that
dazzles look best on dark backgrounds.


PnlPreview

 Preview
Displays a preview of your
button. Changed settings
are displayed immediately.


PrecLensCopy

 Precise area copy with the Lens Tool:

Use this trick to select and copy more precisely-defined areas of your image than is possible with Copy Area:

1: Select the Lens Object tool in the Objects Toolbar.
2: Drag a frame in your image to open the lens object properties dialog.
3: Select Single Size in the Zoom field.
4: Click on OK and then move and resize the lens bounding frame to mark exactly the area you want to copy.
5: Select Flatten Objects.. in the Object menu.
6: In the Flatten Objects dialog select Repaint Objects on a New Background and deselect Transparent Background.

When you click on OK the area is converted into a bitmap image that you can modify normally with the Shape and Shadow tools and so on.


PrintCenter

 Center Image
Centers the image horizontally
and vertically on the print page.


PrintFitPage

 Scale to fit on page
Resizes the image to use the
entire page on the printout.


PrintOrientation

 Orientation
Defines the orientation of the page.
Impict automatically selects the
the orientation that fits the paper
format.


PrintOriginalSize

 Print Original Size
Prints exactly the same number of pixels
as shown on the screen. This can result
in very small images on modern, high-
resolution printers!


PrintPrinter

 Printer
Lets you choose a different printer.


RbAutomatic

 Automatic Mask
Automatically applies a custom mask by defining
the color of the bottom left pixel in your object as the
transparency color. Everything in the image with
this color will be transparent.


RbCustom

 Custom
Lets you load your own bitmap dazzle from a
BMP file. Grayscale images with a soft transition
between the black background and the white
dazzle look best.


RbDefaults

 Defaults
Displays the list of available
predefined dazzle objects.


RbDrawCurrentBG

 Draw objects on current background
Includes the currently visible background around
the object. This works like selecting Copy Area, making
a rectangular image of the object and the background
visible in the rectangle around it.


RbDrawNewBG

 Repaint objects on a new background
Creates a new background. The flattened object will
appear on a rectangular background with the color
set in Background Color (white by default).


RbPatterns

 Predefined Patterns
Shows a list of predefined transparency mask
patterns. The patterns are tiled over the object.


RbPredefined

 Predefined Shapes
Shows a list of predefined transparency mask
shapes. When you apply a shape mask the
black parts of the mask become transparent.
Shape masks are not tiled, they are applied
to the entire image as a single unit.


SbImageBgFillPatternPreview

 Preview
Background colors and images
are shown in the preview area.


SbPreview

 Preview
Shows you a preview of the results of the transformation.
You can always abort with Cancel.

You can try out as many different settings as you like --
changing a setting always generates a fresh preview
from the original image, not from the previous preview.


SbPreview

 Preview
Shows a preview of the result. The Preview tab shows
the image with the selected mask applied. The Mask tab
shows the details of the selected transparency mask.


Standard topics (Completed)

 This topic is a dummy topic - it does never appear. It is used only to group standard help topics properly.


TbBrushGradDirection

 Item
Yet not used!


TbBrushGradPercent

 Item
Yet not used!


TbShadowDirection

 Shadow Direction
Adjusts the direction of the shadow, i.e. where
the "light" that casts the shadow comes from.
Default is light from top left for shadow offset
downwards and to the right.


TbShadowDither

 Shadow Dither
This adjusts the "softness" of the shadow,
making it more or less "fuzzy".


TbShadowIntensity

 Shadow Intensity
Determines the intensity of the shadow. Effectively,
this makes the shadow more or less transparent.


TbShadowOffset

 Shadow Offset
Determines the distance offset between the
shadow and its object. Increasing the offset
makes the object look further away from the
background.


TbTransparencyBias

 Base Transparency
Controls the degree of transparency, from completely
opaque to completely transparent. This is the overall
transparency for Flat and the starting transparency for
Linear and Circular.


TbTransparencyDirection

 Transparency Direction Dial
Determines the direction of the transparency
gradient for the Linear transparency style.


TbTransparencyEndValue

 Transparency End Value
Determines the end value of the transparency for
Linear and Circular, i.e. whether maximum
transparency is completely transparent or not.


TbTransparencyOffset

 Transparency Offset
Determines the physical offset of the transparency
(where on the object the gradient starts to become
transparent) for Linear and Circular and the degree
of edge softening for Shape Dither.